<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

class WPBakeryShortCode_Dfd_Button_Gradient extends WPBakeryShortCode {}

$module_images = DFD_EXTENSIONS_PLUGIN_URL .'vc_custom/admin/img/button/';

vc_map( array(
	'name'					=> esc_html__('Button Gradient', 'dfd-native'),
	'base'					=> 'dfd_button_gradient',
	'class'					=> 'dfd_buttons_gradient dfd_shortcode',
	'controls'				=> 'full',
	'show_settings_on_create' => true,
	'icon'					=> 'dfd_buttons_gradient dfd_shortcode',
	'description'			=> esc_html__('Shows customizable button', 'dfd-native'),
	'category'				=> esc_html__('Native', 'dfd-native'),
	'params'				=> array(
		array(
			'type'				=> 'radio_image_select',
			'heading'			=> esc_html__('Style', 'dfd-native'),
			'param_name'		=> 'main_style',
			'simple_mode'		=> false,
			'options'			=> array(
				'style-2'			=> array(
					'tooltip'			=> esc_html__('Left icon','dfd-native'),
					'src'				=> $module_images.'/style-2.png'
				),
				'style-3'			=> array(
					'tooltip'			=> esc_html__('Right icon','dfd-native'),
					'src'				=> $module_images.'/style-3.png'
				),
				'style-4'			=> array(
					'tooltip'			=> esc_html__('Left icon on hover','dfd-native'),
					'src'				=> $module_images.'/style-4.png'
				),
				'style-5'			=> array(
					'tooltip'			=> esc_html__('Right icon on hover','dfd-native'),
					'src'				=> $module_images.'/style-5.png'
				),
				'style-6'			=> array(
					'tooltip'			=> esc_html__('Top icon on hover','dfd-native'),
					'src'				=> $module_images.'/style-6.png'
				),
			),
		),
		array(
			'type'				=> 'dfd_radio_advanced',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Specify the direction for the buttons\'s background gradient' ,'dfd-native').'</span></span>'.esc_html__('Gradient direction', 'dfd-native'),
			'param_name'		=> 'direction_gradient',
			'value'				=> 'to right',
			'options'			=> array(
				esc_html__('Horizontal', 'dfd-native') => 'to right',
				esc_html__('Vertical', 'dfd-native') => 'to top',
				esc_html__('Diagonal top to left', 'dfd-native') => 'to top left',
				esc_html__('Diagonal top to right', 'dfd-native') => 'to top right',
			),
			'edit_field_class'	=> ' vc_column vc_col-sm-12',
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Hover style', 'dfd-native'),
			'param_name'		=> 'hover_style_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
		),
		array(
			'type'				=> 'dropdown',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to select among 7 preset button hover styles','dfd-native').'</span></span>'.esc_html__('Hover style', 'dfd-native'),
			'param_name'		=> 'hover_style',
			'edit_field_class'	=> 'vc_column vc_col-sm-6',
			'value'				=> array(
				esc_html__('Fade', 'dfd-native')		=> 'dfd-fade',
				esc_html__('Slide left', 'dfd-native')	=> 'dfd-slide-left',
				esc_html__('Slide right', 'dfd-native')	=> 'dfd-slide-right',
				esc_html__('Slide top', 'dfd-native')	=> 'dfd-slide-top',
				esc_html__('Slide bottom', 'dfd-native')	=> 'dfd-slide-bottom',
				esc_html__('Zoom out', 'dfd-native')	=> 'dfd-zoom-in',
				esc_html__('3d rotation', 'dfd-native')	=> 'dfd-3d-rotate',
			),
		),
		array(
			'type'				=> 'dfd_radio_advanced',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to specify the size for the button. The full width allows you to have full width button according to the container','dfd-native').'</span></span>'.esc_html__('Button size', 'dfd-native'),
			'param_name'		=> 'button_size',
			'edit_field_class'	=> 'vc_column vc_col-sm-6',
			'value'				=> 'normal',
			'options'			=> array(
				esc_html__('Normal','dfd-native')		=> 'normal',
				esc_html__('Full width','dfd-native')	=> 'dfd-button-full-width',
			),
		),
		array(
			'type'				=> 'dfd_single_checkbox',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to have the background overlay animation effect when you click on the button','dfd-native').'</span></span>'.esc_html__('Animation on click', 'dfd-native'),
			'param_name'		=> 'click_animation',
			'value'				=> 'yes',
			'options'			=> array(
				'yes'			=> array(
					'yes'		=> esc_attr__('Yes', 'dfd-native'),
					'no'		=> esc_attr__('No', 'dfd-native'),
				),
			),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
		),
		array(
			'type'				=> 'colorpicker',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Specify the color for the onclick animation','dfd-native').'</span></span>'.esc_html__('Animation color', 'dfd-native'),
			'param_name'		=> 'click_animation_color',
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-border-bottom no-bottom-padding',
			'dependency'		=> array('element' => 'click_animation', 'value' => array('yes')),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Main button settings', 'dfd-native'),
			'param_name'		=> 'main_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
		),
		array(
			'type'				=> 'textfield',
			'heading'			=> esc_html__('Button text', 'dfd-native'),
			'param_name'		=> 'button_text',
			'admin_label'		=> true,
			'value'				=> esc_html__('Button','dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6',
		),
		array(
			'type'				=> 'textfield',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Tooltip is small pop-up box that appears when the user moves the mouse pointer over the button','dfd-native').'</span></span>'.esc_html__('Tooltip text', 'dfd-native'),
			'param_name'		=> 'tooltip_text',
			'edit_field_class'	=> 'vc_column vc_col-sm-6',
		),
		array(
			'type'				=> 'dfd_radio_advanced',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Specify the horizontal alignment for the button','dfd-native').'</span></span>'.esc_html__('Button alignment', 'dfd-native'),
			'param_name'		=> 'alignment',
			'value'				=> 'text-center',
			'options'			=> array(
				esc_html__('Center','dfd-native')	=> 'text-center',
				esc_html__('Left','dfd-native')	=> 'text-left',
				esc_html__('Right','dfd-native')	=> 'text-right',
			),
			'edit_field_class'	=> 'vc_column vc_col-sm-6',
			'dependency'		=> array('element' => 'button_size', 'value' => 'normal'),
		),
		array(
			'type'				=> 'vc_link',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Add a custom link or select existing page. You can remove existing link as well','dfd-native').'</span></span>'.esc_html__('Button link url', 'dfd-native'),
			'param_name'		=> 'buttom_link_src',
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-bottom-padding',
		),
		array(
			'type'				=> 'dfd_radio_advanced',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Specify the alignment for the button\'s tooltip','dfd-native').'</span></span>'.esc_html__('Tooltip alignment', 'dfd-native'),
			'param_name'		=> 'tooltip_alignment',
			'css_rules'			=> 'padding: 0 12px;',
			'value'				=> 'dfd-button-tooltip-left',
			'options'			=> array(
				esc_html__('Left', 'dfd-native')			=> 'dfd-button-tooltip-left',
				esc_html__('Right', 'dfd-native')			=> 'dfd-button-tooltip-right',
				esc_html__('Top', 'dfd-native')			=> 'dfd-button-tooltip-top',
				esc_html__('Bottom', 'dfd-native')			=> 'dfd-button-tooltip-bottom',
				esc_html__('Top Left', 'dfd-native')		=> 'dfd-button-tooltip-top-left',
				esc_html__('Top Right', 'dfd-native')		=> 'dfd-button-tooltip-top-right',
				esc_html__('Bottom Left', 'dfd-native')	=> 'dfd-button-tooltip-bottom-left',
				esc_html__('Bottom Right', 'dfd-native')	=> 'dfd-button-tooltip-bottom-right',
			),
			'edit_field_class'	=> 'vc_column vc_col-sm-12 no-border-bottom',
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Extra features', 'dfd-native'),
			'param_name'		=> 'extra_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12 no-top-margin',
		),
		array(
			'type'				=> 'dropdown',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the appear effect for the element','dfd-native').'</span></span>'.esc_html__('Animation', 'dfd-native'),
			'param_name'		=> 'module_animation',
			'value'				=> Dfd_Theme_Helpers::dfd_module_animation_styles(),
		),
		array(
			'type'				=> 'textfield',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Add the unique class name for the element which can be used for custom CSS codes.','dfd-native').'</span></span>'.esc_html__('Custom CSS class','dfd-native'),
			'param_name'		=> 'el_class',
		),
		array(
			'type'				=> 'dfd_video_link_param',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Video tutorial and theme documentation article','dfd-native').'</span></span>'.esc_html__('Tutorials','dfd-native'),
			'param_name'		=> 'tutorials',
			'doc_link'			=> '//nativewptheme.net/support/visual-composer/buttons',
			'video_link'		=> 'https://youtu.be/e-0sJqH7now',
		),
		array(
			'type'				=> 'dropdown',
			'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the icon library','dfd-native').'</span></span>'.esc_html__('Icon library', 'dfd-native'),
			'param_name'		=> 'select_icon',
			'value'				=> Dfd_Theme_Helpers::build_vc_icons_fonts_list(),
			'edit_field_class'	=> 'vc_column vc_col-sm-12 no-border-bottom',
			'group'				=> esc_html__('Icon', 'dfd-native'),
		),
		array(
			'type'				=> 'iconpicker',
			'heading'			=> esc_html__('Select Icon ', 'dfd-native'),
			'param_name'		=> 'ic_dfd_icons',
			'settings'			=> array(
				'emptyIcon'			=> false,
				'type'				=> 'dfd_icons',
				'iconsPerPage'		=> 400,
			),
			'dependency'		=> array('element' => 'select_icon', 'value' => 'dfd_icons',),
			'group'				=> esc_html__('Icon', 'dfd-native'),
		),
		Dfd_Theme_Helpers::build_vc_icons_param('fontawesome', esc_html__('Icon', 'dfd-native'), array()),
		Dfd_Theme_Helpers::build_vc_icons_param('openiconic', esc_html__('Icon', 'dfd-native'), array()),
		Dfd_Theme_Helpers::build_vc_icons_param('typicons', esc_html__('Icon', 'dfd-native'), array()),
		Dfd_Theme_Helpers::build_vc_icons_param('entypo', esc_html__('Icon', 'dfd-native'), array()),
		Dfd_Theme_Helpers::build_vc_icons_param('linecons', esc_html__('Icon', 'dfd-native'), array()),
		array(
			'type'				=> 'number',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to set the size of the icon in px. Default icon size is 11px','dfd-native').'</span></span>'.esc_html__('Icon size', 'dfd-native'),
			'param_name'		=> 'icon_size',
			'dependency'		=> array('element' => 'select_icon', 'not_empty' => true),
			'edit_field_class'	=> 'vc_column vc_col-sm-4 dfd-number-wrap crum_vc',
			'group'				=> esc_html__('Icon', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Button paddings', 'dfd-native'),
			'param_name'		=> 'background_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'number',
			'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default left padding is inherited from Theme Options > General options > Default button options > Default button left padding','dfd-native').'</span></span>'.esc_html__('Left padding', 'dfd-native'),
			'param_name'		=> 'padding_left',
			'edit_field_class'	=> 'vc_column vc_col-sm-6 dfd-number-wrap crum_vc no-border-bottom no-bottom-padding',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'number',
			'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default right padding is inherited from Theme Options > General options > Default button options > Default button right padding','dfd-native').'</span></span>'.esc_html__('Right padding', 'dfd-native'),
			'param_name'		=> 'padding_right',
			'edit_field_class'	=> 'vc_column vc_col-sm-6 dfd-number-wrap crum_vc no-border-bottom no-bottom-padding',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Color settings', 'dfd-native'),
			'param_name'		=> 'background_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default color is inherited from Theme Options > General options > Default button options > Default Button Typography','dfd-native').'</span></span>'.esc_html__('Text color', 'dfd-native'),
			'param_name'		=> 'text_color',
			'edit_field_class'	=> 'vc_column vc_col-sm-6',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default text hover color is inherited from Theme Options > General options > Default button options > Default button hover text color','dfd-native').'</span></span>'.esc_html__('Hover text color', 'dfd-native'),
			'param_name'		=> 'hover_text_color',
			'edit_field_class'	=> 'vc_column vc_col-sm-6',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default color is inherited from Theme Options > General options > Default button options > Default Button Typography','dfd-native').'</span></span>'.esc_html__('Icon color', 'dfd-native'),
			'param_name'		=> 'ic_color',
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default icon hover color is inherited from Theme Options > General options > Default button options > Default button hover text color','dfd-native').'</span></span>'.esc_html__('Icon hover color', 'dfd-native'),
			'param_name'		=> 'hover_ic_color',
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Background gradient color', 'dfd-native'),
			'param_name'		=> 'background_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'param_name'		=> 'background_from',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the start color for the button\'s background gradient. The default value is inherited from Theme Options > Default button options > Default button background color','dfd-native').'</span></span>'.esc_html__('Start color', 'dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'param_name'		=> 'background_to',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the end color for the button\'s background gradient. The default value is inherited from Theme Options > Default button options > Default button background color','dfd-native').'</span></span>'.esc_html__('End color', 'dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Hover background gradient color', 'dfd-native'),
			'param_name'		=> 'background_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'param_name'		=> 'hover_background_from',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the start color for the button\'s hover background gradient. The default value is inherited from Theme Options > Default button options > Default button hover background color','dfd-native').'</span></span>'.esc_html__('Start color', 'dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'param_name'		=> 'hover_background_to',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the start color for the button\'s hover background gradient. The default value is inherited from Theme Options > Default button options > Default button hover background color','dfd-native').'</span></span>'.esc_html__('End color', 'dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Border gradient color', 'dfd-native'),
			'param_name'		=> 'border_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_radio_advanced',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to add the border for the button. Please note: the button will be without border radius','dfd-native').'</span></span>'.esc_html__('Border', 'dfd-native'),
			'param_name'		=> 'border',
			'value'				=> 'no',
			'options'			=> array(
				esc_html__('Disable', 'dfd-native')	=> 'no',
				esc_html__('Enable', 'dfd-native')		=> 'yes',
				
			),
			'edit_field_class'	=> 'vc_column vc_col-sm-12',
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'param_name'		=> 'border_color_from',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the start color for the button\'s border gradient','dfd-native').'</span></span>'.esc_html__('Start color', 'dfd-native'),esc_html__('Start color', 'dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom',
			'dependency'		=> array('element' => 'border', 'value' => 'yes'),
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'param_name'		=> 'border_color_to',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the end color for the button\'s border gradient','dfd-native').'</span></span>'.esc_html__('End color', 'dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom',
			'dependency'		=> array('element' => 'border', 'value' => 'yes'),
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'number',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Specify the border width. The border width is not set by default','dfd-native').'</span></span>'.esc_html__('Border width', 'dfd-native'),
			'param_name'		=> 'border_width',
			'edit_field_class'	=> 'vc_column vc_col-sm-12 crum_vc dfd-number-wrap',
			'dependency'		=> array('element' => 'border_color_from', 'not_empty' => true),
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Tooltip settings', 'dfd-native'),
			'param_name'		=> 'tooltip_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
			'dependency'		=> array('element' => 'tooltip_text', 'not_empty' => true),
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'param_name'		=> 'tooltip_color',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default tooltip color is #ffffff;','dfd-native').'</span></span>'.esc_html__('Tooltip color', 'dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
			'dependency'		=> array('element' => 'tooltip_text', 'not_empty' => true),
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'colorpicker',
			'param_name'		=> 'tooltip_background',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default tooltip background color is #404040;','dfd-native').'</span></span>'.esc_html__('Tooltip Background', 'dfd-native'),
			'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom no-bottom-padding',
			'dependency'		=> array('element' => 'tooltip_text', 'not_empty' => true),
			'group'				=> esc_html__('Style', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Box shadow settings', 'dfd-native'),
			'param_name'		=> 'shadow_heading',
			'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
			'group'				=> esc_html__('Style', 'dfd-native'),
			'dependency'		=> array('element' => 'hover_style', 'value_not_equal_to' => array('dfd-3d-rotate')),
		),
		array(
			'type'				=> 'dfd_box_shadow_param',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to enable or disable the shadow for the button','dfd-native').'</span></span>'.esc_html__('Box Shadow', 'dfd-native'),
			'param_name'		=> 'box_shadow',
			'group'				=> esc_html__('Style', 'dfd-native'),
			'dependency'		=> array('element' => 'hover_style', 'value_not_equal_to' => array('dfd-3d-rotate')),
		),
		array(
			'type'				=> 'dfd_box_shadow_param',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to enable or disable the shadow for the button on hover','dfd-native').'</span></span>'.esc_html__('Box Shadow on Hover', 'dfd-native'),
			'param_name'		=> 'hover_box_shadow',
			'group'				=> esc_html__('Style', 'dfd-native'),
			'dependency'		=> array('element' => 'hover_style', 'value_not_equal_to' => array('dfd-3d-rotate')),
		),
		array(
			'type'				=> 'dfd_heading_param',
			'text'				=> esc_html__('Typography settings', 'dfd-native'),
			'param_name'		=> 'typography_heading',
			'group'				=> esc_html__('Typography', 'dfd-native'),
			'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
		),
		array(
			'type'				=> 'dfd_font_container',
			'param_name'		=> 'title_font_options',
			'settings'			=> array(
				'fields'			=> array(
					'font_size',
					'letter_spacing',
					'line_height',
					'font_style',
				),
			),
			'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
			'group'				=> esc_html__('Typography', 'dfd-native'),
		),
		array(
			'type'				=> 'dfd_single_checkbox',
			'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Allows you to use custom Google font','dfd-native').'</span></span>'.esc_html__('Custom font family', 'dfd-native'),
			'param_name'		=> 'title_google_fonts',
			'options'			=> array(
				'yes'				=> array(
					'yes'				=> esc_attr__('Yes', 'dfd-native'),
					'no'				=> esc_attr__('No', 'dfd-native'),
				),
			),
			'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
			'group'				=> esc_html__('Typography', 'dfd-native'),
		),
		array(
			'type'				=> 'google_fonts',
			'param_name'		=> 'title_custom_fonts',
			'settings'			=> array(
				'fields'			=> array(
					'font_family_description' => esc_html__('Select font family.', 'dfd-native'),
					'font_style_description'  => esc_html__('Select font style.', 'dfd-native'),
				),
			),
			'dependency'		=> array('element' => 'title_google_fonts', 'value' => 'yes'),
			'edit_field_class'	=> 'no-top-margin vc_column vc_col-sm-12',
			'group'				=> esc_html__('Typography', 'dfd-native'),
		),
	)
));