<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }
/*
* Add-on Name: Pricing Block
*/

class WPBakeryShortCode_Dfd_Pricing_Block extends WPBakeryShortCode {}

$repeater_params = array(
	array(
		'type'		    => 'dfd_radio_advanced',
		'heading'		=> esc_html__('Type', 'dfd-native'),
		'param_name'	=> 'feature_style',
		'admin_label'	=> true,
		'value'			=> 'text_only',
		'options'		=> array(
			esc_html__('Text', 'dfd-native')			=> 'text_only',
			esc_html__('Icon', 'dfd-native')			=> 'icon_only',
			esc_html__('Text & icon', 'dfd-native')	=> 'text_icon',
			esc_html__('Dot', 'dfd-native')			=> 'dot',
		),
	),
	array(
		'type'			=> 'textfield',
		'heading'		=> esc_html__('Feature text', 'dfd-native'),
		'param_name'	=> 'label',
		'admin_label'	=> true,
		'dependency'	=> array('element' => 'feature_style', 'value'  => array('text_icon', 'text_only')),
	),
	array(
		'type'			=> 'dfd_radio_advanced',
		'heading'		=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the icon library','dfd-native').'</span></span>'.esc_html__('Icon library', 'dfd-native'),
		'param_name'	=> 'type',
		'value'			=> 'dfd_icons',
		'options'		=> Dfd_Theme_Helpers::build_vc_icons_fonts_list(false),
		'dependency'	=> array('element' => 'feature_style', 'value' => array('text_icon','icon_only')),
	),
	array(
		'type'			=> 'iconpicker',
		'heading'		=> esc_html__('Select Icon', 'dfd-native'),
		'param_name'	=> 'icon_dfd_icons',
		'value'			=> 'dfd-socicon-icon-ios7-cart',
		'settings'		=> array(
			'emptyIcon'		=> false,
			'type'			=> 'dfd_icons',
			'iconsPerPage'	=> 4000,
		),
		'dependency'	=> array('element' => 'type', 'value' => 'dfd_icons',),
	),
);

if(method_exists('Dfd_Theme_Helpers','vc_icon_fonts')) {
	$icon_fonts = Dfd_Theme_Helpers::vc_icon_fonts();
	if(!empty($icon_fonts) && is_array($icon_fonts)) {
		foreach($icon_fonts as $k => $v) {
			$font_param = Dfd_Theme_Helpers::build_vc_icons_param($k, '', array(), 'icon_', 'type');
			if($font_param) {
				$repeater_params[] = $font_param;
			}
		}
	}
}

$repeater_params = array_merge($repeater_params);

$module_images = DFD_EXTENSIONS_PLUGIN_URL .'vc_custom/admin/img/pricing/';
vc_map(
	array(
		'name'        => esc_html__('Pricing table', 'dfd-native'),
		'base'        => 'dfd_pricing_block',
		'class'       => 'dfd_pricing_block dfd_shortcode',
		'icon'        => 'dfd_pricing_block dfd_shortcode',
		'category'    => esc_html__('Native', 'dfd-native'),
		'description' => esc_html__('Present your offer to your visitors. ', 'dfd-native'),
		'params'			=> array(
			array(
				'heading'     => esc_html__('Style', 'dfd-native'),
				'type'        => 'radio_image_select',
				'param_name'  => 'style',
				'simple_mode' => false,
				'options'     => array(
					'style-01'	=> array(
						'tooltip'	=> esc_html__('Classic','dfd-native'),
						'src'		=> $module_images . 'style-01.png'
					),
					'style-02'	=> array(
						'tooltip'	=> esc_html__('Simple','dfd-native'),
						'src'		=> $module_images . 'style-02.png'
					),
					'style-03'	=> array(
						'tooltip'	=> esc_html__('Advanced','dfd-native'),
						'src'		=> $module_images . 'style-03.png'
					),
				),
			
			),
			array(
				'type'				=> 'textfield',
				'heading'			=> esc_html__('Title', 'dfd-native'),
				'param_name'		=> 'title',
				'value'				=> esc_html__('Pricing title', 'dfd-native'),
				'admin_label'		=> true,
			),
			array(
				'type'				=> 'textfield',
				'heading'			=> esc_html__('Subtitle', 'dfd-native'),
				'value'				=> esc_html__('Pricing table subtitle', 'dfd-native'),
				'param_name'		=> 'subtitle',
			),
			array(
				'type'				=> 'textfield',
				'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you set any currency symbol you need','dfd-native').'</span></span>'.esc_html__('Currency symbol', 'dfd-native'),
				'param_name'		=> 'currency_symbol',
				'value'				=> esc_html__('€', 'dfd-native'),
				'edit_field_class'	=> 'vc_column vc_col-sm-4 crum_vc',
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you set the price for your table','dfd-native').'</span></span>'.esc_html__('Price', 'dfd-native'),
				'param_name'		=> 'payment_amount',
				'value'				=> 10,
				'min'				=> 0,
				'edit_field_class'	=> 'vc_column vc_col-sm-4 crum_vc',
			),
			array(
				'type'				=> 'textfield',
				'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to set the recurring fee for your pricing table, it will be displayed at the right side of the price','dfd-native').'</span></span>'.esc_html__('Recurring fee', 'dfd-native'),
				'param_name'		=> 'time_interval',
				'value'				=> esc_html__(' mo.', 'dfd-native'),
				'edit_field_class'	=> 'vc_column vc_col-sm-4 crum_vc',
			),
			array(
				'type'             => 'dfd_heading_param',
				'text'             => esc_html__( 'Extra features', 'dfd-native' ),
				'param_name'       => 'extra_features_elements_heading',
				'edit_field_class' => 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
			),
			array(
				'type'				=> 'dropdown',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the appear effect for the element','dfd-native').'</span></span>'.esc_html__('Animation', 'dfd-native'),
				'param_name'		=> 'module_animation',
				'value'				=> Dfd_Theme_Helpers::dfd_module_animation_styles(),
			),
			array(
				'type'				=> 'textfield',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Add the unique class name for the element which can be used for custom CSS codes','dfd-native').'</span></span>'.esc_html__('Custom CSS Class', 'dfd-native'),
				'param_name'		=> 'el_class',
			),
			array(
				'type' => 'dfd_video_link_param',
				'heading' => '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">' . esc_html__('Video tutorial and theme documentation article', 'dfd-native') . '</span></span>' . esc_html__('Tutorials', 'dfd-native'),
				'param_name' => 'tutorials',
				'doc_link' => '//nativewptheme.net/support/visual-composer/pricing-tables',
				'video_link' => 'https://youtu.be/puHFftS7GYE',
			),
			array(
				'type'				=> 'dfd_single_checkbox',
				'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to enable or disable the top icon. The icon will be placed at the top of pricing table','dfd-native').'</span></span>'.esc_html__('Top icon', 'dfd-native'),
				'param_name'		=> 'show_icon',
				'options'			=> array(
					'enable_icon'		=> array(
						'on'				=> esc_attr__('Yes', 'dfd-native'),
						'off'				=> esc_attr__('No', 'dfd-native'),
					),
				),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_radio_advanced',
				'heading'			=> esc_html__('Icon to display', 'dfd-native'),
				'param_name'		=> 'icon_type',
				'value'				=> 'selector',
				'options'			=> array(
					esc_html__('Icon', 'dfd-native')	=> 'selector',
					esc_html__('Image', 'dfd-native')	=> 'custom',
					esc_html__('Text', 'dfd-native')	=> 'text',
				),
				'dependency'		=> array('element' => 'show_icon', 'value' => array('enable_icon')),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_radio_advanced',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the icon library','dfd-native').'</span></span>'.esc_html__('Icon library', 'dfd-native'),
				'param_name'		=> 'select_icon',
				'value'				=> 'dfd_icons',
				'options'			=> Dfd_Theme_Helpers::build_vc_icons_fonts_list(false),
				'dependency'		=> array('element' => 'icon_type', 'value' => array('selector')),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'iconpicker',
				'heading'			=> esc_html__('Select Icon', 'dfd-native'),
				'param_name'		=> 'ic_dfd_icons',
				'value'				=> 'dfd-socicon-correct-symbol',
				'settings'			=> array(
					'emptyIcon'			=> false,
					'type'				=> 'dfd_icons',
					'iconsPerPage'		=> 4000,
				),
				'dependency'		=> array('element' => 'select_icon', 'value' => 'dfd_icons',),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			Dfd_Theme_Helpers::build_vc_icons_param('fontawesome', esc_html__('Icon', 'dfd-native'), array()),
			Dfd_Theme_Helpers::build_vc_icons_param('openiconic', esc_html__('Icon', 'dfd-native'), array()),
			Dfd_Theme_Helpers::build_vc_icons_param('typicons', esc_html__('Icon', 'dfd-native'), array()),
			Dfd_Theme_Helpers::build_vc_icons_param('entypo', esc_html__('Icon', 'dfd-native'), array()),
			Dfd_Theme_Helpers::build_vc_icons_param('linecons', esc_html__('Icon', 'dfd-native'), array()),
			array(
				'type'				=> 'attach_image',
				'heading'			=> esc_html__('Upload Image', 'dfd-native'),
				'param_name'		=> 'icon_image_id',
				'description'		=> esc_html__('Choose the image from the media library', 'dfd-native'),
				'dependency'		=> array('element' => 'icon_type', 'value' => array('custom')),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'textfield',
				'heading'			=> esc_html__('Text', 'dfd-native'),
				'param_name'		=> 'icon_text',
				'dependency'		=> array('element' => 'icon_type', 'value' => array('text')),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Set the size for the icon (image)','dfd-native').'</span></span>'.esc_html__('Icon size', 'dfd-native'),
				'param_name'		=> 'icon_size',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 dfd-number-wrap crum_vc no-border-bottom',
				'dependency'		=> array('element' => 'icon_type', 'value'   => array('custom', 'selector')),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'class'				=> 'crum_vc',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the color for the icon. For the classic style the color is #e7e7e7. For the simple style the color is inherited from Theme Options > Styling Options > Main site color.  For the advanced style the color is #fff','dfd-native').'</span></span>'.esc_html__('Color', 'dfd-native'),
				'param_name'		=> 'icon_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc no-border-bottom',
				'dependency'		=> array('element' => 'icon_type', 'value' => array('selector')),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_font_container',
				'param_name'		=> 'text_icon_font_options',
				'settings'			=> array(
					'fields'		=> array(
						'font_size',
						'letter_spacing',
						'color',
						'font_style'
					),
				),
				'dependency'		=> array('element' => 'icon_type', 'value' => array('text')),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_single_checkbox',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Allows you to use custom Google font','dfd-native').'</span></span>'.esc_html__('Custom font family', 'dfd-native'),
				'param_name'		=> 'text_icon_use_google_fonts',
				'options'			=> array(
					'yes'				=> array(
						'yes'				=> esc_attr__('Yes', 'dfd-native'),
						'no'				=> esc_attr__('No', 'dfd-native'),
					),
				),
				'dependency'		=> array('element' => 'icon_type', 'value' => array('text')),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'google_fonts',
				'param_name'		=> 'text_icon_custom_fonts',
				'settings'			=> array(
					'fields'			=> array(
						'font_family_description' => esc_html__('Select font family.', 'dfd-native'),
						'font_style_description'  => esc_html__('Select font styling.', 'dfd-native'),
					),
				),
				'dependency'		=> array('element' => 'text_icon_use_google_fonts', 'value' => 'yes'),
				'group'				=> esc_html__('Icon', 'dfd-native'),
			),
			array(
				'type'				=> 'textarea',
				'heading'			=> esc_html__('Content', 'dfd-native'),
				'param_name'		=> 'content_description',
				'value'				=> esc_html__('Pricing table content. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque mollis ex eu blandit scelerisque.', 'dfd-native'),
				'group'				=> esc_html__('Content', 'dfd-native'),
			),
			array(
				'type'				=> 'param_group',
				'heading'			=> esc_html__('Features', 'dfd-native'),
				'param_name'		=> 'values',
				'value'				=> '%5B%7B%22feature_style%22%3A%22text_icon%22%2C%22label%22%3A%22Feature%20text%22%2C%22type%22%3A%22dfd_icons%22%2C%22icon_dfd_icons%22%3A%22dfd-socicon-icon-ios7-cart%22%2C%22icon_fontawesome%22%3A%22fa%20fa-adjust%22%2C%22icon_openiconic%22%3A%22vc-oi%20vc-oi-dial%22%2C%22icon_typicons%22%3A%22typcn%20typcn-adjust-brightness%22%2C%22icon_entypo%22%3A%22entypo-icon%20entypo-icon-note%22%2C%22icon_linecons%22%3A%22vc_li%20vc_li-heart%22%7D%2C%7B%22feature_style%22%3A%22text_icon%22%2C%22label%22%3A%22Feature%20text%22%2C%22type%22%3A%22dfd_icons%22%2C%22icon_dfd_icons%22%3A%22dfd-socicon-icon-ios7-cart%22%2C%22icon_fontawesome%22%3A%22fa%20fa-adjust%22%2C%22icon_openiconic%22%3A%22vc-oi%20vc-oi-dial%22%2C%22icon_typicons%22%3A%22typcn%20typcn-adjust-brightness%22%2C%22icon_entypo%22%3A%22entypo-icon%20entypo-icon-note%22%2C%22icon_linecons%22%3A%22vc_li%20vc_li-heart%22%7D%2C%7B%22feature_style%22%3A%22text_icon%22%2C%22label%22%3A%22Feature%20text%22%2C%22type%22%3A%22dfd_icons%22%2C%22icon_dfd_icons%22%3A%22dfd-socicon-icon-ios7-cart%22%2C%22icon_fontawesome%22%3A%22fa%20fa-adjust%22%2C%22icon_openiconic%22%3A%22vc-oi%20vc-oi-dial%22%2C%22icon_typicons%22%3A%22typcn%20typcn-adjust-brightness%22%2C%22icon_entypo%22%3A%22entypo-icon%20entypo-icon-note%22%2C%22icon_linecons%22%3A%22vc_li%20vc_li-heart%22%7D%5D',
				'params'      => $repeater_params,
				'group'       => esc_html__('Content', 'dfd-native'),
			),
			array(
				'type'				=> 'textfield',
				'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Enter the text for the prcing table button','dfd-native').'</span></span>'.esc_html__('Button text', 'dfd-native'),
				'param_name'		=> 'button_text',
				'value'				=> esc_html__('Button', 'dfd-native'),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'vc_link',
				'heading'			=> esc_html__('Button link', 'dfd-native'),
				'param_name'		=> 'button_link',
				'description'		=> esc_html__('Add link to button.', 'dfd-native'),
				'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_single_checkbox',
				'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to set the full width for the button according to the pricing table width. If this option is disabled the button inherits Theme Options > General Options > Default Button Options','dfd-native').'</span></span>'.esc_html__('Full width', 'dfd-native'),
				'param_name'		=> 'button_full_width',
				'value'				=> 'button_width',
				'options'			=> array(
					'button_width'				=> array(
						'yes'				=> esc_attr__('Yes', 'dfd-native'),
						'no'				=> esc_attr__('No', 'dfd-native'),
					),
				),
				'edit_field_class'	=> 'vc_column vc_col-sm-6 no-border-bottom',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Button style', 'dfd-native'),
				'param_name'		=> 'button_style',
				'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default color is inherited from Theme Options > General options > Default button options > Default Button Typography','dfd-native').'</span></span>'.esc_html__('Text color', 'dfd-native'),
				'param_name'		=> 'button_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default text hover color is inherited from Theme Options > General options > Default button options > Default button hover text color','dfd-native').'</span></span>'.esc_html__('Text hover color', 'dfd-native'),
				'param_name'		=> 'button_hover_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip tooltip-bottom"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default background color is inherited from Theme Options > General options > Default button options > Default button background color. For the advanced style the default background color is #323232','dfd-native').'</span></span>'.esc_html__('Background color', 'dfd-native'),
				'param_name'		=> 'button_bg_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default hover background color is inherited from Theme Options > General options > Default button options > Default button hover background color. For the advanced style the default background color is #323232 with opacity 0.5','dfd-native').'</span></span>'.esc_html__('Background hover color', 'dfd-native'),
				'param_name'		=> 'button_bg_hover_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_param_border',
				'heading'			=> esc_html('Border', 'dfd-native'),
				'param_name'		=> 'button_border',
				'simple'			=> false,
				'unit'				=> 'px',
				'enable_radius'		=> true,
				'value'				=> 'border_style:default',
				'edit_field_class'	=> 'dfd-vc-border-param-styles vc_column vc_col-sm-12',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_param_border',
				'heading'			=> esc_html__('Border on hover', 'dfd-native'),
				'param_name'		=> 'button_hover_button',
				'simple'			=> false,
				'unit'				=> 'px',
				'enable_radius'		=> true,
				'value'				=> 'border_style:default',
				'edit_field_class'	=> 'dfd-vc-border-param-styles vc_column vc_col-sm-12',
				'dependency'		=> array('element' => 'button_text', 'not_empty' => true),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default left padding is inherited from Theme Options > General options > Default button options > Default button left padding','dfd-native').'</span></span>'.esc_html__('Left padding', 'dfd-native'),
				'param_name'		=> 'button_left_padding',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 dfd-number-wrap crum_vc no-border-bottom',
				'dependency'		=> array('element' => 'button_full_width', 'value_not_equal_to' => array('button_width')),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Default right padding is inherited from Theme Options > General options > Default button options > Default button right padding','dfd-native').'</span></span>'.esc_html__('Right padding', 'dfd-native'),
				'param_name'		=> 'button_right_padding',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 dfd-number-wrap crum_vc',
				'dependency'		=> array('element' => 'button_full_width', 'value_not_equal_to' => array('button_width')),
				'group'				=> esc_html__('Button', 'dfd-native'),
			),
			array(
				'type'				=> 'textfield',
				'heading'			=> esc_html__('Label', 'dfd-native'),
				'param_name'		=> 'feat_mark_text',
				'value'				=> esc_html__('Label', 'dfd-native'),
				'edit_field_class'	=> 'vc_column vc_col-sm-12 no-border-bottom',
				'group'				=> esc_html__('Label', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Label style', 'dfd-native'),
				'param_name'		=> 'customizabl_mark',
				'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
				'dependency'		=> array('element' => 'feat_mark_text', 'not_empty' => true),
				'group'				=> esc_html__('Label', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the color for the label','dfd-native').'</span></span>'.esc_html__('Color', 'dfd-native'),
				'class'				=> 'crum_vc',
				'param_name'		=> 'mark_color',
				'value'				=> '#ffffff',
				'edit_field_class'	=> 'vc_column vc_col-sm-4 crum_vc no-border-bottom',
				'dependency'		=> array('element' => 'feat_mark_text', 'not_empty' => true),
				'group'				=> esc_html__('Label', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the color for the label background','dfd-native').'</span></span>'.esc_html__('Background color', 'dfd-native'),
				'class'				=> 'crum_vc',
				'param_name'		=> 'mark_bg_color',
				'value'				=> '#fa6047',
				'edit_field_class'	=> 'vc_column vc_col-sm-4 crum_vc no-border-bottom',
				'dependency'		=> array('element' => 'feat_mark_text', 'not_empty' => true),
				'group'				=> esc_html__('Label', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the border radius for the label background','dfd-native').'</span></span>'.esc_html__('Border radius', 'dfd-native'),
				'param_name'		=> 'mark_rounded',
				'value'				=> 4,
				'edit_field_class'	=> 'vc_column vc_col-sm-4 dfd-number-wrap crum_vc',
				'dependency'		=> array('element' => 'feat_mark_text', 'not_empty' => true),
				'group'				=> esc_html__('Label', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Title Typography', 'dfd-native'),
				'param_name'		=> 'title_t_heading',
				'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
				'dependency'		=> array('element' => 'title', 'not_empty' => true),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_font_container',
				'param_name'		=> 'title_font_options',
				'settings'			=> array(
					'fields'			=> array(
						'tag'				=> 'div',
						'font_size',
						'letter_spacing',
						'line_height',
						'color',
						'font_style'
					),
				),
				'dependency'		=> array('element' => 'title', 'not_empty' => true),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_single_checkbox',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Allows you to use custom Google font','dfd-native').'</span></span>'.esc_html__('Custom font family', 'dfd-native'),
				'param_name'		=> 'use_google_fonts',
				'options'			=> array(
					'yes'				=> array(
						'yes'				=> esc_attr__('Yes', 'dfd-native'),
						'no'				=> esc_attr__('No', 'dfd-native'),
					),
				),
				'dependency'		=> array('element' => 'title', 'not_empty' => true),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'google_fonts',
				'param_name'		=> 'custom_fonts',
				'settings'			=> array(
					'fields'		=> array(
						'font_family_description' => esc_html__('Select font family.', 'dfd-native'),
						'font_style_description'  => esc_html__('Select font style.', 'dfd-native'),
					),
				),
				'edit_field_class'	=> 'vc_column vc_col-sm-12 no-border-bottom',
				'dependency'		=> array('element' => 'use_google_fonts', 'value' => 'yes'),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Subtitle Typography', 'dfd-native'),
				'param_name'		=> 'subtitle_t_heading',
				'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
				'dependency'		=> array('element' => 'subtitle', 'not_empty' => true),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_font_container',
				'param_name'		=> 'subtitle_font_options',
				'settings'			=> array(
					'fields'		=> array(
						'tag'			=> 'div',
						'font_size',
						'letter_spacing',
						'line_height',
						'color',
						'font_style'
					),
				),
				'edit_field_class'	=> 'vc_column vc_col-sm-12 no-border-bottom',
				'dependency'		=> array('element' => 'subtitle', 'not_empty' => true),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Content Typography', 'dfd-native'),
				'param_name'		=> 'content_t_heading',
				'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
				'dependency'		=> array('element' => 'content_description', 'not_empty' => true),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_font_container',
				'param_name'		=> 'content_font_options',
				'settings'			=> array(
					'fields'		=> array(
						'font_size',
						'letter_spacing',
						'line_height',
						'color',
						'font_style'
					),
				),
				'edit_field_class'	=> 'vc_column vc_col-sm-12 no-border-bottom',
				'dependency'		=> array('element' => 'content_description', 'not_empty' => true),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Features Typography', 'dfd-native'),
				'param_name'		=> 'features_t_heading',
				'edit_field_class'	=> 'dfd-heading-param-wrapper vc_column vc_col-sm-12',
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_font_container',
				'param_name'		=> 'features_font_options',
				'settings'			=> array(
					'fields'		=> array(
						'font_size',
						'letter_spacing',
						'line_height',
						'color',
						'font_style'
					),
				),
				'group'				=> esc_html__('Typography', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('General styles', 'dfd-native'),
				'param_name'		=> 'general_st',
				'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_param_border',
				'param_name'		=> 'main_border',
				'simple'			=> false,
				'unit'				=> 'px',
				'enable_radius'		=> true,
				'edit_field_class'	=> 'dfd-vc-border-param-styles vc_column vc_col-sm-12',
				'value'				=> 'border_style:solid|border_width:1|border_radius:10|border_color:%23e7e7e7',
				'dependency'		=> array('element' => 'style', 'value' => array('style-01', 'style-02')),
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_param_border',
				'heading'			=> esc_html__('Border on hover', 'dfd-native'),
				'param_name'		=> 'main_border_hover',
				'simple'			=> false,
				'unit'				=> 'px',
				'enable_radius'		=> true,
				'edit_field_class'	=> 'dfd-vc-border-param-styles vc_column vc_col-sm-12',
				'value'				=> 'border_style:solid|border_width:1|border_radius:10|border_color:rgba(255%2C255%2C255%2C0)',
				'dependency'		=> array('element' => 'style', 'value' => array('style-01', 'style-02')),
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> esc_html__('Border radius', 'dfd-native'),
				'param_name'		=> 'main_border_radius3',
				'value'				=> 10,
				'edit_field_class'	=> 'vc_column vc_col-sm-6 dfd-number-wrap crum_vc',
				'dependency'		=> array('element' => 'style', 'value' => array('style-03')),
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the background color for the content part of the pricing table','dfd-native').'</span></span>'.esc_html__('Content background color', 'dfd-native'),
				'class'				=> 'crum_vc',
				'param_name'		=> 'content_bg_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc',
				'dependency'		=> array('element' => 'style', 'value' => array('style-02', 'style-03')),
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the background color for the features part of the pricing table','dfd-native').'</span></span>'.esc_html__('Features background color', 'dfd-native'),
				'class'				=> 'crum_vc',
				'param_name'		=> 'features_bg_color',
				'edit_field_class'	=> 'no-border-bottom vc_column vc_col-sm-6 crum_vc',
				'dependency'		=> array('element' => 'style', 'value' => array('style-03')),
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_single_checkbox',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to enable or disable the shadow for the pricing table','dfd-native').'</span></span>'.esc_html__('Shadow', 'dfd-native'),
				'param_name'		=> 'disable_shadow',
				'value'				=> 'shadow',
				'options'			=> array(
					'shadow'			=> array(
						'on'				=> esc_attr__('Yes', 'dfd-native'),
						'off'				=> esc_attr__('No', 'dfd-native'),
					),
				),
				'edit_field_class'	=> 'vc_column vc_col-sm-4 no-border-bottom',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Specify the top offset, it will be added above the pricing table content','dfd-native').'</span></span>'. esc_html__('Top offset', 'dfd-native'),
				'param_name'		=> 'general_top_offset',
				'value'				=> 30,
				'edit_field_class'	=> 'vc_column vc_col-sm-4 dfd-number-wrap crum_vc no-border-bottom',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Specify the bottom offset, it will be added under the pricing table content','dfd-native').'</span></span>'. esc_html__('Bottom offset', 'dfd-native'),
				'param_name'		=> 'general_bottom_offset',
				'value'				=> 15,
				'edit_field_class'	=> 'vc_column vc_col-sm-4 dfd-number-wrap crum_vc no-border-bottom',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Content delimiter style', 'dfd-native'),
				'param_name'		=> 'customizabl_delim',
				'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_radio_advanced',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose one of the delimiter styles','dfd-native').'</span></span>'.esc_html__('Delimiter style', 'dfd-native'),
				'param_name'		=> 'delimeter_style',
				'value'				=> 'solid',
				'options'			=> array(
					esc_html__('Solid','dfd-native')	=> 'solid',
					esc_html__('Dotted','dfd-native')	=> 'dotted',
					esc_html__('Dashed','dfd-native')	=> 'dashed',
					esc_html__('None','dfd-native')	=> 'none',
				),
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc no-border-bottom',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the delimiter color. The default color is #e7e7e7','dfd-native').'</span></span>'.esc_html__('Delimiter color', 'dfd-native'),
				'class'				=> 'crum_vc',
				'param_name'		=> 'delimeter_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc no-border-bottom',
				'dependency'		=> array('element' => 'delimeter_style', 'value' => array('solid', 'dotted', 'dashed')),
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Price Styles', 'dfd-native'),
				'param_name'		=> 'price_heading',
				'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> esc_html__('Currency symbol size', 'dfd-native'),
				'param_name'		=> 'symbol_size',
				'value'				=> 25,
				'edit_field_class'	=> 'vc_column vc_col-sm-4 dfd-number-wrap crum_vc',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> esc_html__('Price size', 'dfd-native'),
				'param_name'		=> 'amount_size',
				'value'				=> 55,
				'edit_field_class'	=> 'vc_column vc_col-sm-4 dfd-number-wrap crum_vc',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> esc_html__('Recurring fee size', 'dfd-native'),
				'param_name'		=> 'interval_size',
				'value'				=> 25,
				'edit_field_class'	=> 'vc_column vc_col-sm-4 dfd-number-wrap crum_vc',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> esc_html__('Letter spacing', 'dfd-native'),
				'param_name'		=> 'price_letter_spacing',
				'value'				=> -4,
				'edit_field_class'	=> 'vc_column vc_col-sm-6 dfd-number-wrap crum_vc no-border-bottom',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the color for the currency, price and fee. The default color is inherited from Theme Options > Typography/Fonts > Headings typography > Content title big Typography','dfd-native').'</span></span>'.esc_html__('Color', 'dfd-native'),
				'class'				=> 'crum_vc',
				'param_name'		=> 'price_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc no-border-bottom',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_heading_param',
				'text'				=> esc_html__('Features style', 'dfd-native'),
				'param_name'		=> 'feature_delim',
				'edit_field_class'	=> 'dfd-heading-param-wrapper no-top-margin vc_column vc_col-sm-12',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'dfd_radio_advanced',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose one of the delimiter styles','dfd-native').'</span></span>'. esc_html__('Delimiter style', 'dfd-native'),
				'param_name'		=> 'delimiter_feature_style',
				'value'				=> 'solid',
				'options'			=> array(
					esc_html__('Solid','dfd-native')	=> 'solid',
					esc_html__('Dotted','dfd-native')	=> 'dotted',
					esc_html__('Dashed','dfd-native')	=> 'dashed',
					esc_html__('None','dfd-native')	=> 'none',
				),
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the delimiter color. The default color is #e7e7e7','dfd-native').'</span></span>'. esc_html__('Delimiter color', 'dfd-native'),
				'class'				=> 'crum_vc',
				'param_name'		=> 'delimiter_feature_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-6 crum_vc',
				'dependency'		=> array('element' => 'delimiter_feature_style', 'value' => array('solid', 'dotted', 'dashed')),
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('This option allows you to set the icon size','dfd-native').'</span></span>'. esc_html__('Icon Size', 'dfd-native'),
				'param_name'		=> 'icon_feature_size',
				'value'				=> 14,
				'edit_field_class'	=> 'vc_column vc_col-sm-6 dfd-number-wrap crum_vc no-border-bottom',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'colorpicker',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Choose the color for the feature\'s icon. The default color is inherited from Theme Options > Typography/Fonts > Text typography > Default text Typography. For advanced style the default color is #fff','dfd-native').'</span></span>'.esc_html__('Icon color', 'dfd-native'),
				'param_name'		=> 'icon_feature_color',
				'edit_field_class'	=> 'vc_column vc_col-sm-3 crum_vc',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
			array(
				'type'				=> 'number',
				'heading'			=> '<span class="dfd-vc-toolip"><i class="dfd-socicon-question-sign"></i><span class="dfd-vc-tooltip-text">'.esc_html__('Specify the top/bottom offset between the pricing features','dfd-native').'</span></span>'. esc_html__('Top/bottom offset', 'dfd-native'),
				'param_name'		=> 'feature_top_bottom_offset',
				'value'				=> 19,
				'edit_field_class'	=> 'vc_column vc_col-sm-3 dfd-number-wrap crum_vc no-border-bottom',
				'group'				=> esc_html__('Styles', 'dfd-native'),
			),
		)
	)
);