<?php

defined('ABSPATH') or die("No script kiddies please!");

/**
  Plugin name: Everest Review Lite
  Plugin URI: https://accesspressthemes.com/wordpress-plugins/everest-review/
  Description: User/admin review plugin for WordPress.
  Version: 1.0.0
  Author: AccessPress Themes
  Author URI: http://accesspressthemes.com
  Text Domain: everest-review-lite
  Domain Path: /languages/
 */
if (!defined('EVEREST_REVIEW_LITE_VERSION')) {
    define('EVEREST_REVIEW_LITE_VERSION', '1.0.0');
}

if (!defined('EVEREST_REVIEW_LITE_IMAGE_DIR')) {
    define('EVEREST_REVIEW_LITE_IMAGE_DIR', plugin_dir_url(__FILE__) . 'images/');
}

if (!defined('EVEREST_REVIEW_LITE_JS_DIR')) {
    define('EVEREST_REVIEW_LITE_JS_DIR', plugin_dir_url(__FILE__) . 'js/');
}

if (!defined('EVEREST_REVIEW_LITE_CSS_DIR')) {
    define('EVEREST_REVIEW_LITE_CSS_DIR', plugin_dir_url(__FILE__) . 'css/');
}

if (!defined('EVEREST_REVIEW_LITE_TEXT_DOMAIN')) {
    define('EVEREST_REVIEW_LITE_TEXT_DOMAIN', 'everest-review-lite');
}

if (!defined('EVEREST_REVIEW_LITE_LANG_DIR')) {
    define('EVEREST_REVIEW_LITE_LANG_DIR', basename(dirname(__FILE__)) . '/languages/');
}

if (!defined('ER_SETTINGS')) {
    define('ER_SETTINGS', 'er-settings');
}
if (!defined('EVEREST_REVIEW_LITE_FILE_ROOT_DIR')) {
    define('EVEREST_REVIEW_LITE_FILE_ROOT_DIR', plugin_dir_path(__FILE__));
}

/** Declaring Class for Plugin */
if (!class_exists('Everest_Review_Lite')) {

    class Everest_Review_Lite {

        var $er_settings;

        function __construct() {
            $this->er_settings = get_option(ER_SETTINGS);
            add_action('init', array($this, 'er_plugin_text_domain'));
            register_activation_hook(__FILE__, array($this, 'er_plugin_activation'));
            add_action('admin_menu', array($this, 'er_add_plugin_menu'));
            add_action('admin_menu', array($this, 'er_add_plugin_review_form_menu'));
            add_action('admin_menu', array($this, 'er_add_plugin_new_review_form_menu'));
            add_action('admin_menu', array($this, 'er_add_plugin_submitted_review_form_menu'));
            add_action('admin_menu', array($this, 'er_add_plugin_how_to_use_review_form_menu'));
            add_action('admin_menu', array($this, 'er_add_plugin_about_us_review_form_menu'));
            add_action('init', array($this, 'er_register_post_type'));
            add_action('admin_enqueue_scripts', array($this, 'er_enqueue_admin_script'));
            add_action('wp_enqueue_scripts', array($this, 'er_enqueue_frontend_script'));
            add_action('wp_ajax_erp_pull_data_contents', array($this, 'erp_pull_data_contents'));
            add_action('add_meta_boxes', array($this, 'erp_add_option_general_metabox'));
            add_action('add_meta_boxes', array($this, 'erp_add_option_admin_review_metabox'));
            add_action('add_meta_boxes', array($this, 'erp_add_option_user_review_metabox'));
            add_action('add_meta_boxes', array($this, 'erp_add_option_user_review_form_metabox'));
            add_action('admin_post_erp_delete_review_template', array($this, 'erp_delete_review_template'));
            add_action('admin_post_erp_save_form_template_options', array($this, 'erp_save_form_template_options'));
            add_action('save_post', array($this, 'erp_meta_general_setting_save'));
            add_action('save_post', array($this, 'erp_meta_admin_review_setting_save'));
            add_action('save_post', array($this, 'erp_meta_user_review_setting_save'));
            add_action('save_post', array($this, 'erp_meta_user_review_form_setting_save'));
            add_action('admin_post_er_save_review_setting_options', array($this, 'er_save_review_setting_options'));
            add_action('admin_head-post-new.php', array($this, 'erp_posttype_admin_css'));
            add_action('admin_head-post-new.php', array($this, 'erp_posttype_show_hide_admin_metabox_css'));
            add_action('admin_head-post.php', array($this, 'erp_posttype_admin_css'));
            add_action('add_meta_boxes', array($this, 'erp_metabox_add'));
            add_action('add_meta_boxes', array($this, 'erp_metabox_add_admin_review'));
            add_action('save_post', array($this, 'erp_save_meta_box_data'));
            add_action('save_post', array($this, 'erp_save_meta_box_admin_data'));
            add_action('admin_post_erp_delete_user_review_form', array($this, 'erp_delete_user_review_form'));
            add_shortcode('everest_review_box', array($this, 'everest_review_box'));
            add_filter('the_content', array($this, 'erp_add_post_content'), 1);
            add_action('wp_ajax_erp_everest_review_form_submission', array($this, 'erp_everest_review_form_submission'));
            add_action('wp_ajax_nopriv_erp_everest_review_form_submission', array($this, 'erp_everest_review_form_submission'));
            add_action('admin_post_erp_save_user_form_edit_approve_template_options', array($this, 'erp_save_user_form_edit_approve_template_options'));
            add_action('admin_post_erp_approve_disapprove_user_review_form', array($this, 'erp_approve_disapprove_user_review_form'));
            add_filter('manage_edit-everestreview_columns', array($this, 'erp_my_cpt_columns'));
            add_action('manage_everestreview_posts_custom_column', array($this, 'erp_my_cpt_column'), 10, 2);
            add_filter('manage_edit-everestreview_columns', array($this, 'erp_my_cpt_columns_admin_review_types'));
            add_action('manage_everestreview_posts_custom_column', array($this, 'erp_my_cpt_columns_admin_review_type'), 10, 2);
            add_filter('manage_edit-everestreview_columns', array($this, 'erp_my_cpt_columns_admin_review_display_types'));
            add_action('manage_everestreview_posts_custom_column', array($this, 'erp_my_cpt_columns_admin_review_display_type'), 10, 2);
            add_action('wp_ajax_erp_everest_review_filter_ajax_load_more', array($this, 'erp_everest_review_filter_ajax_load_more'));
            add_action('wp_ajax_nopriv_erp_everest_review_filter_ajax_load_more', array($this, 'erp_everest_review_filter_ajax_load_more'));
        }

        /**
         * Function to load plugin text domain for translation 
         */
        function er_plugin_text_domain() {
            load_plugin_textdomain(EVEREST_REVIEW_LITE_TEXT_DOMAIN, false, EVEREST_REVIEW_LITE_LANG_DIR);
        }

        /**
         * Implement default setting on plugin activation 
         */
        function er_plugin_activation() {
            include( 'inc/backend/includes/activation.php' );
        }

        /**
         * Register post type Everest Review for the plugin
         */
        function er_register_post_type() {
            include( 'inc/backend/includes/register-post.php' );
            register_post_type('Everest Review', $args);
        }

        /**
         * Add General Setting/ Global Setting for the plugin
         */
        function er_add_plugin_menu() {
            add_submenu_page(
                    'edit.php?post_type=everestreview', __('General Settings', EVEREST_REVIEW_LITE_TEXT_DOMAIN), __('General Settings', EVEREST_REVIEW_LITE_TEXT_DOMAIN), 'manage_options', 'everest-review-general-setting', array($this, 'erp_review_general_setting_page_callback')
            );
        }

        /**
         * Add Review Form Template List for the plugin
         */
        function er_add_plugin_review_form_menu() {
            add_submenu_page(
                    'edit.php?post_type=everestreview', __('Review Forms', EVEREST_REVIEW_LITE_TEXT_DOMAIN), __('Review Forms', EVEREST_REVIEW_LITE_TEXT_DOMAIN), 'manage_options', 'everest-review-form', array($this, 'erp_review_review_form_callback')
            );
        }

        /**
         * Add new Review Form Template List for the plugin
         */
        function er_add_plugin_new_review_form_menu() {
            add_submenu_page(
                    'edit.php?post_type=everestreview', __('Add Review Forms', EVEREST_REVIEW_LITE_TEXT_DOMAIN), __('Add Review Form', EVEREST_REVIEW_LITE_TEXT_DOMAIN), 'manage_options', 'everest-review-new-form', array($this, 'erp_review_review_new_form_callback')
            );
        }

        /**
         * Add User submitted review list for the plugin
         */
        function er_add_plugin_submitted_review_form_menu() {
            add_submenu_page(
                    'edit.php?post_type=everestreview', __('User Submitted Forms', EVEREST_REVIEW_LITE_TEXT_DOMAIN), __('User Reviews', EVEREST_REVIEW_LITE_TEXT_DOMAIN), 'manage_options', 'everest-review-submitted-reviews', array($this, 'erp_review_submitted_review_callback')
            );
        }

        /**
         * Add User submitted review list for the plugin
         */
        function er_add_plugin_how_to_use_review_form_menu() {
            add_submenu_page(
                    'edit.php?post_type=everestreview', __('How to Use', EVEREST_REVIEW_LITE_TEXT_DOMAIN), __('How To Use', EVEREST_REVIEW_LITE_TEXT_DOMAIN), 'manage_options', 'everest-review-how-to', array($this, 'erp_review_how_to_callback')
            );
        }

        function er_add_plugin_about_us_review_form_menu() {
            add_submenu_page(
                    'edit.php?post_type=everestreview', __('About Us', EVEREST_REVIEW_LITE_TEXT_DOMAIN), __('About Us', EVEREST_REVIEW_LITE_TEXT_DOMAIN), 'manage_options', 'everest-review-about-us', array($this, 'erp_review_about_us_callback')
            );
        }

        /*
         * General Setting Metabox
         */

        function erp_add_option_general_metabox() {
            add_meta_box('erp_general_settings_option', __('Basic Settings', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'erp_add_option_general_metabox_callback'), 'everestreview', 'normal', 'default');
        }

        /*
         * General Setting Metabox callback
         */

        function erp_add_option_general_metabox_callback($post) {
            wp_nonce_field(basename(__FILE__), 'erp_settings_nonce');
            $erp_stored_meta_setting = get_post_meta($post->ID);
            include('inc/backend/setting-fields/erp-general-setting-field.php');
        }

        /*
         * General Setting Metabox save action
         */

        function erp_meta_general_setting_save($post_id) {
            // Checks save status
            $is_autosave = wp_is_post_autosave($post_id);
            $is_revision = wp_is_post_revision($post_id);
            $is_valid_nonce = ( isset($_POST['erp_settings_nonce']) && wp_verify_nonce($_POST['erp_settings_nonce'], basename(__FILE__)) ) ? 'true' : 'false';
            // Exits script depending on save status
            if ($is_autosave || $is_revision || !$is_valid_nonce) {
                return;
            } else {
                include('inc/backend/action/meta-save-action.php');
            }
        }

        /*
         * Admin Review Setting Metabox
         */

        function erp_add_option_admin_review_metabox() {
            add_meta_box('erp_admin_review_settings_option', __('Admin Review Settings', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'erp_add_option_admin_review_metabox_callback'), 'everestreview', 'normal', 'default');
        }

        /*
         * Admin Review Setting Metabox callback
         */

        function erp_add_option_admin_review_metabox_callback($post) {
            wp_nonce_field(basename(__FILE__), 'erp_settings_nonce');
            $erp_stored_meta_setting = get_post_meta($post->ID);
            include('inc/backend/setting-fields/erp-admin-review-setting-field.php');
        }

        /*
         * Admin Review Setting Metabox save action
         */

        function erp_meta_admin_review_setting_save($post_id) {
            // Checks save status
            $is_autosave = wp_is_post_autosave($post_id);
            $is_revision = wp_is_post_revision($post_id);
            $is_valid_nonce = ( isset($_POST['erp_settings_nonce']) && wp_verify_nonce($_POST['erp_settings_nonce'], basename(__FILE__)) ) ? 'true' : 'false';
            // Exits script depending on save status
            if ($is_autosave || $is_revision || !$is_valid_nonce) {
                return;
            } else {
                include('inc/backend/action/meta-save-action.php');
            }
        }

        /*
         * User Review Setting Metabox
         */

        function erp_add_option_user_review_metabox() {
            add_meta_box('erp_user_review_settings_option', __('User Review Settings', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'erp_add_option_user_review_metabox_callback'), 'everestreview', 'normal', 'default');
        }

        /*
         * User Review Setting Metabox callback
         */

        function erp_add_option_user_review_metabox_callback($post) {
            wp_nonce_field(basename(__FILE__), 'erp_settings_nonce');
            $erp_stored_meta_setting = get_post_meta($post->ID);
            include('inc/backend/setting-fields/erp-user-review-setting-field.php');
        }

        /*
         * User Review Setting Metabox save action
         */

        function erp_meta_user_review_setting_save($post_id) {
            // Checks save status
            $is_autosave = wp_is_post_autosave($post_id);
            $is_revision = wp_is_post_revision($post_id);
            $is_valid_nonce = ( isset($_POST['erp_settings_nonce']) && wp_verify_nonce($_POST['erp_settings_nonce'], basename(__FILE__)) ) ? 'true' : 'false';
            // Exits script depending on save status
            if ($is_autosave || $is_revision || !$is_valid_nonce) {
                return;
            } else {
                include('inc/backend/action/meta-save-action.php');
            }
        }

        /*
         * User Review Form Setting Metabox
         */

        function erp_add_option_user_review_form_metabox() {
            add_meta_box('erp_user_review_form_setting_option', __('User Review Form Settings', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'erp_add_option_user_review_form_metabox_callback'), 'everestreview', 'normal', 'default');
        }

        /*
         * User Review Form Setting Metabox callback
         */

        function erp_add_option_user_review_form_metabox_callback($post) {
            wp_nonce_field(basename(__FILE__), 'erp_settings_nonce');
            $erp_stored_meta_setting = get_post_meta($post->ID);
            include('inc/backend/setting-fields/erp-user-review-form-setting-field.php');
        }

        /*
         * User Review Form Setting Metabox save action
         */

        function erp_meta_user_review_form_setting_save($post_id) {
            // Checks save status
            $is_autosave = wp_is_post_autosave($post_id);
            $is_revision = wp_is_post_revision($post_id);
            $is_valid_nonce = ( isset($_POST['erp_settings_nonce']) && wp_verify_nonce($_POST['erp_settings_nonce'], basename(__FILE__)) ) ? 'true' : 'false';
            // Exits script depending on save status
            if ($is_autosave || $is_revision || !$is_valid_nonce) {
                return;
            } else {
                include('inc/backend/action/meta-save-action.php');
            }
        }

        /*
         * Enqueue Admin Scripts JS and css files
         */

        function er_enqueue_admin_script() {
            $erp_admin_ajax_nonce = wp_create_nonce('erp-admin-ajax-nonce');
            $erp_admin_ajax_object = array('ajax_url' => admin_url('admin-ajax.php'), 'ajax_nonce' => $erp_admin_ajax_nonce);
            wp_enqueue_script('everest-review-admin-script', EVEREST_REVIEW_LITE_JS_DIR . 'backend.js', array('jquery', 'wp-color-picker', 'jquery-ui-sortable', 'jquery-ui-core', 'jquery-ui-slider'), EVEREST_REVIEW_LITE_VERSION, false);
            wp_localize_script('everest-review-admin-script', 'erp_backend_js_params', $erp_admin_ajax_object);
            wp_enqueue_script('everest-review-star-script', EVEREST_REVIEW_LITE_JS_DIR . 'jquery.rateyo.js', array('everest-review-admin-script'), EVEREST_REVIEW_LITE_VERSION, false);
            /** Enqueue css */
            wp_enqueue_style('wp-color-picker');
            wp_enqueue_script('jquery-ui-datepicker');
            wp_enqueue_style('everest-review-admin-css', EVEREST_REVIEW_LITE_CSS_DIR . 'back-end.css', array(), EVEREST_REVIEW_LITE_VERSION);
            wp_enqueue_style('everest-review-star-css', EVEREST_REVIEW_LITE_CSS_DIR . 'jquery.rateyo.min.css', array(), EVEREST_REVIEW_LITE_VERSION);
            wp_enqueue_script('everest-review-jquery-ui-sliderAccess-script', EVEREST_REVIEW_LITE_JS_DIR . 'jquery-ui-sliderAccess.js', array('everest-review-admin-script', 'jquery-ui-datepicker'), EVEREST_REVIEW_LITE_VERSION, false);
            wp_enqueue_script('everest-review-jquery-ui-timepicker-addon-script', EVEREST_REVIEW_LITE_JS_DIR . 'jquery-ui-timepicker-addon.js', array('everest-review-admin-script', 'jquery-ui-datepicker'), EVEREST_REVIEW_LITE_VERSION, false);
            wp_enqueue_style('everest-review-jquery-ui-timepicker-addon-css', EVEREST_REVIEW_LITE_CSS_DIR . 'jquery-ui-timepicker-addon.min.css', array(), EVEREST_REVIEW_LITE_VERSION);
            wp_enqueue_style('everest-review-jquery-ui-css', EVEREST_REVIEW_LITE_CSS_DIR . 'jquery-ui.css', array(), EVEREST_REVIEW_LITE_VERSION);
            wp_enqueue_style('everest-review-fontawesome', EVEREST_REVIEW_LITE_CSS_DIR . 'font-awesome/font-awesome.min.css', EVEREST_REVIEW_LITE_VERSION, false);
        }

        /*
         * Enqueue Frontend Scripts JS and css files
         */

        function er_enqueue_frontend_script() {
            $erp_frontend_ajax_nonce = wp_create_nonce('erp-frontend-ajax-nonce');
            $erp_frontend_ajax_object = array('ajax_url' => admin_url('admin-ajax.php'), 'ajax_nonce' => $erp_frontend_ajax_nonce);
            wp_enqueue_script('everest-review-frontend-script', EVEREST_REVIEW_LITE_JS_DIR . 'frontend.js', array('jquery', 'jquery-ui-slider'), EVEREST_REVIEW_LITE_VERSION, false);
            wp_localize_script('everest-review-frontend-script', 'erp_frontend_js_params', $erp_frontend_ajax_object);

            wp_enqueue_style('everest-review-frontend-style', EVEREST_REVIEW_LITE_CSS_DIR . 'front-end.css', array(), EVEREST_REVIEW_LITE_VERSION);
            /** Frontend Star */
            wp_enqueue_script('everest-review-star-frontend-script', EVEREST_REVIEW_LITE_JS_DIR . 'jquery.rateyo.js', array('everest-review-frontend-script'), EVEREST_REVIEW_LITE_VERSION, false);
            wp_enqueue_style('everest-review-star-frontend-style', EVEREST_REVIEW_LITE_CSS_DIR . 'jquery.rateyo.min.css', array(), EVEREST_REVIEW_LITE_VERSION);
            /** Bar */
            wp_enqueue_script('everest-review-bar-style-frontend-jquery', EVEREST_REVIEW_LITE_JS_DIR . 'simple-skillbar.js', array('jquery', 'everest-review-frontend-script'), EVEREST_REVIEW_LITE_VERSION);
            /** Frontend Circular */
            wp_enqueue_script('everest-review-circular-style-frontend-jquery', EVEREST_REVIEW_LITE_JS_DIR . 'percircle.js', array('jquery', 'everest-review-frontend-script'), EVEREST_REVIEW_LITE_VERSION);
            wp_enqueue_style('everest-review-circular-frontend-style', EVEREST_REVIEW_LITE_CSS_DIR . 'percircle.css', array(), EVEREST_REVIEW_LITE_VERSION);
            wp_enqueue_style('everest-review-implement-font', '//fonts.googleapis.com/css?family=Bitter|Hind|Playfair+Display:400,400i,700,700i,900,900i|Open+Sans:400,500,600,700,900|Lato:300,400,700,900|Montserrat|Droid+Sans|Roboto|Lora:400,400i,700,700i|Roboto+Slab|Rubik|Merriweather:300,400,700,900|Poppins|Ropa+Sans|Playfair+Display|Rubik|Source+Sans+Pro|Roboto+Condensed|Roboto+Slab:300,400,700|Amatic+SC:400,700|Quicksand|Oswald|Quicksand:400,500,700', false);
            wp_enqueue_style('everest-review-frontend-fontawesome', EVEREST_REVIEW_LITE_CSS_DIR . 'font-awesome/font-awesome.min.css', EVEREST_REVIEW_LITE_VERSION);
        }

        /**
         * Adds a section in all the post and page section to disable the share options in frontend pages 
         */
        function erp_metabox_add() {
            $options = get_option(ER_SETTINGS);

            $enable_review_in_site = esc_attr($options['enable_disable_review']);
            $implement_review_on = esc_attr($options['implement_review_on']);
            $custom_post_type_Screens = $this->erp_get_post_type_slug_lists();
            $custom_post_type_screen = array();
            if (!empty($custom_post_type_Screens)) {
                foreach ($custom_post_type_Screens as $key => $val) {
                    $custom_post_type_screen = $val;
                }
            }
            if (isset($enable_review_in_site) && $enable_review_in_site == 'on') {
                if ($implement_review_on == 'all-pages-posts') {
                    foreach (array_keys($GLOBALS['wp_post_types']) as $post_type) {
                        // Skip:
                        if (in_array($post_type, array('attachment', 'revision', 'nav_menu_item', 'everestreview')))
                            continue;

                        add_meta_box(
                                'everest-review-box', __('Everest Review Box', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'everest_review_pagewise_meta_callback'), $post_type, 'normal', 'default'
                        );
                    }
                } else if ($implement_review_on == 'all-posts') {
                    foreach (array_keys($GLOBALS['wp_post_types']) as $post_type) {
                        // Skip:
                        if (in_array($post_type, array('attachment', 'revision', 'nav_menu_item', 'everestreview', 'page')))
                            continue;

                        add_meta_box(
                                'everest-review-box', __('Everest Review Box', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'everest_review_pagewise_meta_callback'), $post_type, 'normal', 'default'
                        );
                    }
                } else if ($implement_review_on == 'all-pages') {
                    foreach (array_keys($GLOBALS['wp_post_types']) as $post_type) {
                        // Skip:
                        if (in_array($post_type, array('attachment', 'revision', 'nav_menu_item', 'everestreview', 'post', $custom_post_type_screen)))
                            continue;

                        add_meta_box(
                                'everest-review-box', __('Everest Review Box', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'everest_review_pagewise_meta_callback'), $post_type, 'normal', 'default'
                        );
                    }
                }
            }
        }

        function everest_review_pagewise_meta_callback() {
            global $post, $post_type;
            $options = get_option(ER_SETTINGS);

            $review_templates = $this->pull_review_templates();
            $review_form_template_logs = $this->erp_pull_all_review_form_table();

            wp_nonce_field(basename(__FILE__), 'erp_page_post_config_nonce');
            $post_id = $post->ID;

            $pagewise_review_metadata = $this->erp_get_page_base_metabox_data($post_id);
            //Default ID Parameter to pull the metbox content from template
            if (isset($pagewise_review_metadata['erp_default_pw_review_template']) && !empty($pagewise_review_metadata['erp_default_pw_review_template'])) {
                $review_id_parameters = intval(esc_attr($pagewise_review_metadata['erp_default_pw_review_template']));
            } else if (isset($options['er_review_default_template']) && intval($options['er_review_default_template'])) {
                $review_id_parameters = $options['er_review_default_template'];
            } else {
                $review_id_parameters = '';
            }

            $general_review_settings = get_post_meta($review_id_parameters, 'general_review_settings', true);
            $general_review_settings_parameter = get_post_meta($review_id_parameters, 'general_review_settings_parameter', true);
            $admin_review_details = get_post_meta($review_id_parameters, 'admin_review_details', true);

            include('inc/backend/post-page-meta/page-wise-meta-general.php');
        }

        /**
         * Adds a section in all the post and page section to disable the share options in frontend pages
         */
        function erp_metabox_add_admin_review() {
            $options = get_option(ER_SETTINGS);

            $custom_post_type_Screens = $this->erp_get_post_type_slug_lists();
            $enable_review_in_site = esc_attr($options['enable_disable_review']);
            $implement_review_on = esc_attr($options['implement_review_on']);
            $custom_post_type_screen = array();
            if (!empty($custom_post_type_Screens)) {
                foreach ($custom_post_type_Screens as $key => $val) {
                    $custom_post_type_screen = $val;
                }
            }
            if (isset($enable_review_in_site) && $enable_review_in_site == 'on') {
                if ($implement_review_on == 'all-pages-posts') {
                    foreach (array_keys($GLOBALS['wp_post_types']) as $post_type) {
                        // Skip:
                        if (in_array($post_type, array('attachment', 'revision', 'nav_menu_item', 'everestreview')))
                            continue;

                        add_meta_box(
                                'everest-admin-review-box', __('Everest Admin Review Box', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'everest_review_pagewise_meta_admin_review_callback'), $post_type, 'normal', 'default'
                        );
                    }
                } else if ($implement_review_on == 'all-posts') {
                    foreach (array_keys($GLOBALS['wp_post_types']) as $post_type) {
                        // Skip:
                        if (in_array($post_type, array('attachment', 'revision', 'nav_menu_item', 'everestreview', 'page')))
                            continue;

                        add_meta_box(
                                'everest-admin-review-box', __('Everest Admin Review Box', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'everest_review_pagewise_meta_admin_review_callback'), $post_type, 'normal', 'default'
                        );
                    }
                } else if ($implement_review_on == 'all-pages') {
                    foreach (array_keys($GLOBALS['wp_post_types']) as $post_type) {
                        // Skip:
                        if (in_array($post_type, array('attachment', 'revision', 'nav_menu_item', 'everestreview', 'post', $custom_post_type_screen)))
                            continue;

                        add_meta_box(
                                'everest-admin-review-box', __('Everest Admin Review Box', EVEREST_REVIEW_LITE_TEXT_DOMAIN), array($this, 'everest_review_pagewise_meta_admin_review_callback'), $post_type, 'normal', 'default'
                        );
                    }
                }
            }
        }

        /**
         * Pull All required metabox values and metabox section
         * @global type $post
         * @global type $post_type
         */
        function everest_review_pagewise_meta_admin_review_callback() {
            global $post, $post_type;
            $options = get_option(ER_SETTINGS);

            //Pulling required datas from the review/form tables 
            $review_templates = $this->pull_review_templates();
            $review_form_template_logs = $this->erp_pull_all_review_form_table();

            //pagewise General Review Setting Values
            $review_meta_default_review_template = get_post_meta($post->ID, 'erp_default_pw_review_template', true);
            $review_meta_default_review_form_template = get_post_meta($post->ID, 'erp_default_pw_review_form_template', true);
            $review_meta_default_review_section_sort = get_post_meta($post->ID, 'pw_review_section_sort', true);
            $review_section_pw_show_hide_admin_sec = get_post_meta($post->ID, 'review_section_pw_show_hide_admin_sec', true);
            $review_section_pw_show_hide_user_sec = get_post_meta($post->ID, 'review_section_pw_show_hide_user_sec', true);
            $review_section_pw_show_hide_review_form_sec = get_post_meta($post->ID, 'review_section_pw_show_hide_review_form', true);
            $review_admin_pw_review_parameter = get_post_meta($post->ID, 'admin_pw_review_parameter', true);
            $er_pw_review_position = get_post_meta($post->ID, 'er_pw_review_position', true);

            //pagewise Admin Review Values
            $erp_pw_review_form_header = esc_attr(get_post_meta($post->ID, 'erp_pw_review_form_header', true));
            $erp_pw_review_summary = get_post_meta($post->ID, 'erp_pw_review_summary', true);
            $erp_pw_review_pro_header = get_post_meta($post->ID, 'erp_pw_review_pro_header', true);
            $erp_pw_review_pros = get_post_meta($post->ID, 'erp_pw_review_pros', true);
            $erp_pw_review_cons_header = esc_attr(get_post_meta($post->ID, 'erp_pw_review_cons_header', true));
            $erp_pw_review_cons = get_post_meta($post->ID, 'erp_pw_review_cons', true);
            $page_wise_meta_review_image_type = esc_attr(get_post_meta($post->ID, 'page_wise_meta_review_image_type', true));
            $erp_upload_custom_feat_image_url = esc_url(get_post_meta($post->ID, 'erp_upload_custom_feat_image_url', true));

            //Default ID Parameter to pull the metbox content from template

            if (isset($review_meta_default_review_template) && intval($review_meta_default_review_template)) {
                $review_id_parameters = $review_meta_default_review_template;
            } else if (isset($options['er_review_default_template']) && intval($options['er_review_default_template'])) {
                $review_id_parameters = $options['er_review_default_template'];
            } else {
                $review_id_parameters = '';
            }

            $general_review_settings = get_post_meta($review_id_parameters, 'general_review_settings', true);
            $general_review_settings_parameter = get_post_meta($review_id_parameters, 'general_review_settings_parameter', true);
            $admin_review_details = get_post_meta($review_id_parameters, 'admin_review_details', true);

            wp_nonce_field(basename(__FILE__), 'erp_page_post_config_nonce');
            include('inc/backend/post-page-meta/page-wise-meta-admin.php');
        }

        /**
         * Save Metabox pagewise value for general setting
         * @global type $post
         * @param type $post_id
         * @return type
         */
        function erp_save_meta_box_data($post_id) {
            global $post;
            // Verify the nonce before proceeding.
            if (!isset($_POST['erp_default_pw_review_template']) || !wp_verify_nonce($_POST['erp_page_post_config_nonce'], basename(__FILE__)))
                return;
            // Stop WP from clearing custom fields on autosave
            if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
                return;
            if (!current_user_can('edit_post', $post_id)) {
                return $post_id;
            }
            include( 'inc/backend/action/meta-page-post-review-action.php' );
        }

        /**
         * Save Metabox pagewise value for general setting
         * @global type $post
         * @param type $post_id
         * @return type
         */
        function erp_save_meta_box_admin_data($post_id) {
            global $post;
            // Verify the nonce before proceeding.
            if (!isset($_POST['erp_pw_review_form_header']) || !wp_verify_nonce($_POST['erp_page_post_config_nonce'], basename(__FILE__)))
                return;
            // Stop WP from clearing custom fields on autosave
            if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE)
                return;
            if (!current_user_can('edit_post', $post_id)) {
                return $post_id;
            }
            include( 'inc/backend/action/meta-page-post-review-action.php' );
        }

        /**
         * Get Review data from page/post 
         */
        function erp_get_page_base_metabox_data($post_id) {
            $erp_page_meta_val = array();

            $erp_page_meta_val['erp_default_pw_review_template'] = esc_attr(get_post_meta($post_id, 'erp_default_pw_review_template', true));
            $erp_page_meta_val['erp_default_pw_review_form_template'] = esc_attr(get_post_meta($post_id, 'erp_default_pw_review_form_template', true));
            $erp_page_meta_val['pw_review_section_sort'] = get_post_meta($post_id, 'pw_review_section_sort', true);
            $erp_page_meta_val['review_section_pw_show_hide_admin_sec'] = esc_attr(get_post_meta($post_id, 'review_section_pw_show_hide_admin_sec', true));
            $erp_page_meta_val['review_section_pw_show_hide_user_sec'] = esc_attr(get_post_meta($post_id, 'review_section_pw_show_hide_user_sec', true));
            $erp_page_meta_val['review_section_pw_show_hide_review_form'] = esc_attr(get_post_meta($post_id, 'review_section_pw_show_hide_review_form', true));
            $erp_page_meta_val['admin_pw_review_parameter'] = get_post_meta($post_id, 'admin_pw_review_parameter', true);
            $erp_page_meta_val['er_pw_review_position'] = esc_attr(get_post_meta($post_id, 'er_pw_review_position', true));
            $erp_page_meta_val['erp_pw_review_section_disable_for_particular_section'] = esc_attr(get_post_meta($post_id, 'erp_pw_review_section_disable_for_particular_section', true));

            $erp_page_meta_val['erp_pw_review_form_header'] = esc_attr(get_post_meta($post_id, 'erp_pw_review_form_header', true));
            $erp_page_meta_val['erp_pw_review_summary'] = get_post_meta($post_id, 'erp_pw_review_summary', true);
            $erp_page_meta_val['erp_pw_review_pro_header'] = esc_attr(get_post_meta($post_id, 'erp_pw_review_pro_header', true));
            $erp_page_meta_val['erp_pw_review_pros'] = get_post_meta($post_id, 'erp_pw_review_pros', true);
            $erp_page_meta_val['erp_pw_review_cons_header'] = esc_attr(get_post_meta($post_id, 'erp_pw_review_cons_header', true));
            $erp_page_meta_val['erp_pw_review_cons'] = get_post_meta($post_id, 'erp_pw_review_cons', true);
            $erp_page_meta_val['page_wise_meta_review_image_type'] = esc_attr(get_post_meta($post_id, 'page_wise_meta_review_image_type', true));
            $erp_page_meta_val['erp_upload_custom_feat_image_url'] = esc_url(get_post_meta($post_id, 'erp_upload_custom_feat_image_url', true));

            return $erp_page_meta_val;
        }

        /**
         * General Setting Page For Plugin 
         */
        function erp_review_general_setting_page_callback() {
            include( 'inc/backend/setting-fields/erp-basic-settings.php' );
        }

        /**
         * Add Review form Template page
         */
        function erp_review_review_form_callback() {
            include( 'inc/backend/form-setting-fields/erp_review_form.php' );
        }

        /**
         * Add new review form template add apge
         */
        function erp_review_review_new_form_callback() {
            include( 'inc/backend/form-setting-fields/erp-review-template-editor.php' );
        }

        /**
         * Add User review submitted list page for Plugin 
         */
        function erp_review_submitted_review_callback() {
            include( 'inc/backend/user-reviews/erp_user_submitted_review.php' );
        }

        function erp_review_how_to_callback() {
            include( 'inc/backend/setting-fields/how-to-use.php' );
        }

        function erp_review_about_us_callback() {
            include( 'inc/backend/setting-fields/about.php' );
        }

        /**
         * Function to save menu setting values into option table 
         */
        function er_save_review_setting_options() {
            if (isset($_POST['er_add_nonce_save_review_settings']) && isset($_POST['er_save_reveiw_settings']) && wp_verify_nonce($_POST['er_add_nonce_save_review_settings'], 'er_nonce_save_review_settings') && current_user_can('manage_options')) {
                include( 'inc/backend/action/setting-save-action.php' );
            } else {
                die('No script kiddies please!');
            }
        }

        /**
         * Get All Review Form Template Content Data From Table . 
         */
        function erp_pull_all_review_form_table() {
            global $wpdb;
            $table_name = $wpdb->prefix . "everest_review_form_table";
            $logs = $wpdb->get_results("SELECT * FROM $table_name order by id ASC", ARRAY_A);
            return $logs;
        }

        /**
         * Get Review Form Template Content Data From Table by id. 
         */
        function erp_pull_review_form_template_by_id($er_id) {
            global $wpdb;
            $table_name = $wpdb->prefix . "everest_review_form_table";
            if (isset($er_id) && !empty($er_id)) {
                $review_template_content = $wpdb->get_results("SELECT * FROM $table_name WHERE id = $er_id");
            } else {
                $review_template_content = $wpdb->get_results("SELECT * FROM $table_name");
            }
            return $review_template_content;
        }

        /**
         * Get all pages 
         */
        function erp_get_all_page_lists() {
            wp_reset_postdata();
            $pages = get_pages(array(
                'post_type' => 'page',
                'posts_per_page' => -1,
                'post_status' => 'publish'
                    )
            );
            $page_lists = array();
            if (count($pages) > 0) {
                foreach ($pages as $page) :
                    $page_lists[$page->ID] = $page->post_title;
                endforeach;
            }
            return $page_lists;
        }

        /**
         * Get all posts 
         */
        function erp_get_all_post_lists() {
            wp_reset_postdata();
            $posts = get_posts(array('posts_per_page' => -1, 'post_status' => 'publish'));
            $post_lists = array();
            if (count($posts) > 0) {
                foreach ($posts as $post) :
                    $post_lists[$post->ID] = $post->post_title;
                endforeach;
            }
            return $post_lists;
        }

        /**
         * Get All Custom Post Types 
         */
        function erp_get_post_type_lists() {
            wp_reset_postdata();
            $args = array(
                'public' => true,
                '_builtin' => false
            );
            $output = 'objects'; // names or objects, note names is the default
            $operator = 'and'; // 'and' or 'or'
            $post_types = get_post_types($args, $output, $operator);
            $post_type_lists = array();
            if (count($post_types) > 0) {
                foreach ($post_types as $post_type) :
                    $post_type_lists[] = $post_type->labels->name;
                endforeach;
                return $post_type_lists;
            }
        }

        /**
         * Get All Custom Post Types Name 
         */
        function erp_get_post_type_slug_lists() {
            wp_reset_postdata();
            $args = array(
                'public' => true,
                '_builtin' => false
            );
            $output = 'objects'; // names or objects, note names is the default
            $operator = 'and'; // 'and' or 'or'
            $post_types = get_post_types($args, $output, $operator);
            $post_type_lists = array();
            if (count($post_types) > 0) {
                foreach ($post_types as $post_type) :
                    $post_type_lists[] = $post_type->slug;
                endforeach;
                return $post_type_lists;
            }
        }

        /**
         * Add Review parameter field using ajax
         */
        function erp_pull_data_contents() {
            if (isset($_POST['_wpnonce']) && wp_verify_nonce($_POST['_wpnonce'], 'erp-admin-ajax-nonce')) {
                include( 'inc/backend/setting-fields/erp-review-parameter.php' );
                die();
            }
        }

        /**
         * Save Review form Template Options 
         */
        function erp_save_form_template_options() {
            if (isset($_POST['erp_add_nonce_form_template_save_settings']) && isset($_POST['erp_form_template_save_settings']) && wp_verify_nonce($_POST['erp_add_nonce_form_template_save_settings'], 'erp_nonce_form_template_save_settings') && current_user_can('manage_options')) {
                include( 'inc/backend/action/save-review-form-setting-action.php' );
            } else {
                die('No script kiddies please!');
            }
        }

        /**
         * Save Review form Template Options 
         */
        function erp_save_user_form_edit_approve_template_options() {
            if (isset($_POST['erp_add_nonce_user_Review_form_template_save_settings']) && isset($_POST['erp_user_Review_sform_template_save_settings']) && wp_verify_nonce($_POST['erp_add_nonce_user_Review_form_template_save_settings'], 'erp_save_user_review_form_template_save_settings') && current_user_can('manage_options')) {
                include( 'inc/backend/action/save-user-edit-review-form-action.php' );
            } else {
                die('No script kiddies please!');
            }
        }

        /**
         * Pull typography lists from option table
         * @return type
         */
        function erp_typography() {
            $er_typographies = get_option('er_typography');
            return $er_typographies;
        }

        /**
         * Pull main review template 
         * @global type $wpdb
         * @return type
         */
        function pull_review_templates() {
            global $wpdb;
            $custom_post_type = 'everestreview';
            $results = $wpdb->get_results($wpdb->prepare("SELECT ID, post_title FROM {$wpdb->posts} WHERE post_type = %s and post_status = 'publish'", $custom_post_type), ARRAY_A);
            if (!$results) {
                return;
            } else {
                return $results;
            }
        }

        /**
         * Pull main review template by id 
         * @global type $wpdb
         * @return type
         */
        function pull_review_templates_by_id($id) {
            global $wpdb;
            $custom_post_type = 'everestreview';
            $results = $wpdb->get_results($wpdb->prepare("SELECT * FROM {$wpdb->posts} WHERE post_type = %s and ID=$id and post_status = 'publish'", $custom_post_type), ARRAY_A);
            if (!$results) {
                return;
            } else {
                return $results;
            }
        }

        /**
         * Pull user review template by id 
         * @global type $wpdb
         * @return type
         */
        function pull_user_review_templates_by_id($er_id) {
            global $wpdb;
            $table_name = $wpdb->prefix . "everest_user_review_table";
            if (intval($er_id)) {
                $review_template_content = $wpdb->get_results("SELECT * FROM $table_name WHERE id = $er_id");
            } else {
                $review_template_content = $wpdb->get_results("SELECT * FROM $table_name");
            }
            return $review_template_content;
        }

        /**
         * Delete Review form Template 
         * @global type $wpdb
         */
        function erp_delete_review_template() {
            if (!empty($_GET) && wp_verify_nonce($_GET['_wpnonce'], 'erp_delete_review_form_template_nonce')) {
                $log_id = $_GET['er-id'];
                global $wpdb;
                $table_name = $wpdb->prefix . 'everest_review_form_table';
                $delete = $wpdb->delete($table_name, array('id' => $log_id), array('%d'));
                if ($delete) {
                    wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-form&message=5');
                } else {
                    wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-form&message=6');
                }
            } else {
                die('No direct script allowed!');
            }
        }

        /**
         * Disable preview changes and view post for plugin
         * @global type $post_type
         */
        function erp_posttype_admin_css() {
            global $post_type;
            $post_types = array(
                /* set post types */
                'everestreview',
            );
            if (in_array($post_type, $post_types))
                echo '<style type="text/css">#post-preview, #view-post-btn, .updated a,#screen-meta-links .screen-meta-toggle{display: none;}</style>';
        }

        /**
         * Disable preview changes and view post for plugin
         * @global type $post_type
         */
        function erp_posttype_show_hide_admin_metabox_css() {
            global $post_type;
            $options = get_option(ER_SETTINGS);
            $enable_review_in_site = esc_attr($options['enable_disable_review']);
            $implement_review_on = esc_attr($options['implement_review_on']);
            $custom_post_type_Screens = $this->erp_get_post_type_slug_lists();
            $post_types = array(
                'page',
            );
            if (isset($enable_review_in_site) && $enable_review_in_site != 'on') {
                if ($implement_review_on == 'all-pages-posts') {
                    array_push($post_types, 'post', 'page', $custom_post_type_Screens);
                } else if ($implement_review_on == 'all-posts') {
                    array_push($post_types, 'post');
                } else if ($implement_review_on == 'all-pages') {
                    array_push($post_types, 'page');
                }
                if (in_array($post_type, $post_types))
                    echo '<style type="text/css">#everest-review-box, #everest-admin-review-box{display: none;}</style>';
            }
        }

        /**
         * function to call reviews into front-end
         * @return_type
         */
        function everest_review_box() {
            ob_start();
            include( 'inc/frontend/erp-frontend-filter.php' );
            $form_html = ob_get_contents();
            ob_end_clean();
            return $form_html;
        }

        /**
         *  Plugin Review Content filter for either above or below the content
         * @param type $content
         * @return type
         */
        function erp_add_post_content($content) {
            global $wp_query, $post, $post_type;
            $erp_settings = get_option(ER_SETTINGS);

            if (isset($erp_settings['enable_disable_review']) && $erp_settings['enable_disable_review'] == 'on') {
                if (!is_404()) {
                    $post_id = $wp_query->post->ID;
                } else {
                    $post_id = '';
                }
                $pagewise_review_metadata = $this->erp_get_page_base_metabox_data($post_id);
                $erp_stored_meta_value = isset($pagewise_review_metadata) && !empty($pagewise_review_metadata) ? 'true' : 'false';
                $meta_review_position = $erp_settings['er_review_position'];
                $general_review_position = esc_attr($erp_settings['er_review_position']);
                //Content filter for post singular
                if ($erp_stored_meta_value == 'true' && isset($meta_review_position) && (isset($erp_settings['implement_review_on']) && ($erp_settings['implement_review_on'] == 'all-pages-posts' || $erp_settings['implement_review_on'] == 'all-posts'))) {
                    if (is_singular('post')) {
                        if (isset($meta_review_position) !== 'custom') {
                            $check_position = $meta_review_position;
                        } else {
                            $check_position = $general_review_position;
                        }
                        switch ($check_position) {
                            case 'content-top':
                                remove_filter('the_content', 'wpautop');
                                $content = do_shortcode('[everest_review_box]') . wpautop($content);
                                break;
                            case 'content-bottom':
                                remove_filter('the_content', 'wpautop');
                                $content = wpautop($content);
                                $content .= do_shortcode('[everest_review_box]');
                                break;
                            default:
                                return $content;
                        }
                    }
                }

                if ($erp_stored_meta_value == 'true' && isset($meta_review_position) && (isset($erp_settings['implement_review_on']) && ($erp_settings['implement_review_on'] == 'all-pages-posts' || $erp_settings['implement_review_on'] == 'all-pages'))) {
                    if (is_singular('page')) {
                        if (isset($meta_review_position) !== 'custom') {
                            $check_position = $meta_review_position;
                        } else {
                            $check_position = $general_review_position;
                        }
                        switch ($check_position) {
                            case 'content-top':
                                remove_filter('the_content', 'wpautop');
                                $content .= do_shortcode('[everest_review_box]') . wpautop($content);
                                break;
                            case 'content-bottom':
                                remove_filter('the_content', 'wpautop');
                                $content = wpautop($content);
                                $content .= do_shortcode('[everest_review_box]');
                                break;
                            default:
                                return $content;
                        }
                    }
                }
                if ($erp_stored_meta_value == 'true' && isset($meta_review_position) && (isset($erp_settings['implement_review_on']) && ($erp_settings['implement_review_on'] == 'all-pages-posts' || $erp_settings['implement_review_on'] == 'all-posts'))) {
                    $custom_post_type_Screens = $this->erp_get_post_type_slug_lists();
                    if (!empty($custom_post_type_Screens)) {
                        foreach ($custom_post_type_Screens as $post_keys => $post_vals) {
                            if (is_singular($post_vals)) {
                                if (isset($meta_review_position) !== 'custom') {
                                    $check_position = $meta_review_position;
                                } else {
                                    $check_position = $general_review_position;
                                }
                                switch ($check_position) {
                                    case 'content-top':
                                        remove_filter('the_content', 'wpautop');
                                        $content = do_shortcode('[everest_review_box]') . wpautop($content);
                                        break;
                                    case 'content-bottom':
                                        remove_filter('the_content', 'wpautop');
                                        $content = wpautop($content);
                                        $content .= do_shortcode('[everest_review_box]');
                                        break;
                                    default:
                                        return $content;
                                }
                            }
                        }
                    }
                }
                return $content;
            }
        }

        //Column For Layout
        function erp_my_cpt_columns($columns) {
            $columns["layout"] = "Layout";
            return $columns;
        }

        function erp_my_cpt_column($colname, $cptid) {
            if ($colname == 'layout') {
                $general_review_settings = get_post_meta($cptid, 'general_review_settings', true);

                $parts = explode('-', $general_review_settings['er_review_layout']);
                echo $parts[0] . ' ' . $parts[1];
            }
        }

        //Column For User ADmin Input Type
        function erp_my_cpt_columns_admin_review_types($columns) {
            $columns["user-admin-input"] = "User/Admin Input Type";
            return $columns;
        }

        function erp_my_cpt_columns_admin_review_type($colname, $cptid) {
            if ($colname == 'user-admin-input') {
                $general_review_settings = get_post_meta($cptid, 'general_review_settings', true);
                echo $general_review_settings['erp_review_rating_style'];
            }
        }

        //Column For ADmin output Type
        function erp_my_cpt_columns_admin_review_display_types($columns) {
            $columns["admin-review"] = "Admin Review Type";
            return $columns;
        }

        function erp_my_cpt_columns_admin_review_display_type($colname, $cptid) {
            if ($colname == 'admin-review') {

                $admin_review_details = get_post_meta($cptid, 'admin_review_details', true);
                $parts = explode('-', $admin_review_details['erp_admin_rating_display_style']);
                echo $parts[0];
            }
        }

        /**
         * Print array values
         * @param type $array
         */
        function erp_print_array($array) {
            echo "<pre>";
            print_r($array);
            echo "</pre>";
        }

        /** Function to recieve submit */
        function erp_everest_review_form_submission() {
            if (isset($_POST['_wpnonce']) && wp_verify_nonce($_POST['_wpnonce'], 'erp-frontend-ajax-nonce')) {
                $allowedposttagss = array(
                    'a' => array(
                        'href' => array(),
                        'title' => array()),
                    'br' => array(),
                    'p' => array(
                        'style' => array()),
                    'hr' => array(),
                    'abbr' => array(
                        'title' => array()),
                    'b' => array(),
                    'ul' => array(),
                    'li' => array(),
                    'ol' => array(),
                    'h1' => array(
                        'style' => array()),
                    'h2' => array(
                        'style' => array()),
                    'h3' => array(
                        'style' => array()),
                    'h4' => array(
                        'style' => array()),
                    'h5' => array(
                        'style' => array()),
                    'h6' => array(
                        'style' => array()),
                    'span' => array(
                        'style' => array()),
                    'blockquote' => array(
                        'cite' => array()),
                    'cite' => array(),
                    'code' => array(),
                    'del' => array(
                        'datetime' => array()),
                    'em' => array(),
                    'i' => array(),
                    'q' => array(
                        'cite' => array()),
                    'strike' => array(),
                    'strong' => array(),
                );
                $fe_user_name = stripslashes_deep(sanitize_text_field($_POST['user_name']));
                $fe_email_address = sanitize_email($_POST['email_address']);
                $fe_review_title = stripslashes_deep(sanitize_text_field($_POST['review_title']));
                $fe_review_description = stripslashes_deep(wp_kses(htmlspecialchars_decode($_POST['review_description']), $allowedposttagss));
                $form_review_values = stripslashes_deep($_POST['form_review_values']);
                $erp_cur_pp_id = sanitize_text_field($_POST['page_post_id']);
                $erp_ddef_rev_temp = sanitize_text_field($_POST['erp_ddef_rev_temp']);
                $parent_form_id = sanitize_text_field($_POST['parent_form_id']);
                $grecaptcha_response_val = sanitize_text_field($_POST['grecaptcha_response_val']);
                $erp_ddef_rev_fo_rev_typ = sanitize_text_field($_POST['erp_ddef_rev_fo_rev_typ']);
                include_once('inc/backend/action/save-review-form-action.php');
            }
            die();
        }

        /*
         * Accept Multiple array of image in form 
         */

        function erp_reArrayFiles(&$file_post) {

            $file_ary = array();
            $file_count = count($file_post['name']);
            $file_keys = array_keys($file_post);

            for ($i = 0; $i < $file_count; $i++) {
                foreach ($file_keys as $key) {
                    $file_ary[$i][$key] = $file_post[$key][$i];
                }
            }

            return $file_ary;
        }

        function erp_approve_disapprove_user_review_form() {
            if (!empty($_GET) && wp_verify_nonce($_GET['_wpnonce'], 'erp_delete_user_review_nonce')) {
                $log_id = intval(sanitize_text_field($_GET['erp_id']));
                global $wpdb;
                $user_reviews = $this->pull_user_review_templates_by_id($log_id);
                foreach ($user_reviews as $key => $val) {
                    $review_stat = $val->post_stat;
                }
                if ($review_stat == 'approved') {
                    $review_update_val = 'draft';
                } else if ($review_stat == 'draft') {
                    $review_update_val = 'approved';
                }
                $update = $wpdb->update('' . $wpdb->prefix . 'everest_user_review_table', array(
                    'post_stat' => $review_update_val,
                        ), array(
                    'ID' => $log_id
                        ), array(
                    '%s',
                        ), array(
                    '%d'
                ));

                if ($update) {
                    wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-submitted-reviews&message=3');
                } else {
                    wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-submitted-reviews&message=4');
                }
            } else {
                die('No direct script allowed!');
            }
        }

        function erp_delete_user_review_form() {
            if (!empty($_GET) && wp_verify_nonce($_GET['_wpnonce'], 'erp_delete_user_review_nonce')) {
                $log_id = intval(sanitize_text_field($_GET['erp_id']));
                global $wpdb;
                $table_name = $wpdb->prefix . 'everest_user_review_table';
                $delete = $wpdb->delete($table_name, array('id' => $log_id), array('%d'));
                if ($delete) {
                    wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-submitted-reviews&message=1');
                } else {
                    wp_redirect(admin_url() . 'edit.php?post_type=everestreview&page=everest-review-submitted-reviews&message=2');
                }
            } else {
                die('No direct script allowed!');
            }
        }

        function erp_get_random_token($length) {
            $token = "";
            $codeAlphabet = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            $codeAlphabet .= "abcdefghijklmnopqrstuvwxyz";
            $codeAlphabet .= "0123456789";
            $max = strlen($codeAlphabet); // edited

            for ($i = 0; $i < $length; $i++) {
                $token .= $codeAlphabet[random_int(0, $max - 1)];
            }

            return $token;
        }

        function erp_convert_percent($num_amount, $num_total, $numb_min) {
            if ($num_amount <= $num_total) {
                if ($num_total != 0) {
                    $count1 = $num_amount / $num_total;
                    $count2 = $count1 * 100;
                    $count = number_format($count2, 0);
                    return $count;
                }
            } else {
                if ($num_total != 0) {
                    $count1 = $num_amount / $num_total;
                    $count2 = $count1 * 100;
                    $count = number_format($count2, 0);
                    return $count;
                }
            }
        }

        function erp_time_elapsed_string($datetime, $full = false) {
            $now = new DateTime;
            $ago = new DateTime($datetime);
            $diff = $now->diff($ago);

            $diff->w = floor($diff->d / 7);
            $diff->d -= $diff->w * 7;

            $string = array(
                'y' => __('year', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
                'm' => __('month', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
                'w' => __('week', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
                'd' => __('day', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
                'h' => __('hour', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
                'i' => __('minute', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
                's' => __('second', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
            );
            foreach ($string as $k => &$v) {
                if ($diff->$k) {
                    $v = $diff->$k . ' ' . $v . ($diff->$k > 1 ? 's' : '');
                } else {
                    unset($string[$k]);
                }
            }

            if (!$full)
                $string = array_slice($string, 0, 1);
            return $string ? implode(', ', $string) . __(' ago', EVEREST_REVIEW_LITE_TEXT_DOMAIN) : __('just now', EVEREST_REVIEW_LITE_TEXT_DOMAIN);
        }

        function erp_count_recursive($array) {
            $count = 0;
            if (!empty($array)) {
                foreach ($array as $v) {
                    if (is_array($v))
                        $count += $this->erp_count_recursive($v);
                    else
                        $count++;
                }
            }
            return $count;
        }

        function erp_truncate_number($number, $precision = 2) {
            // Zero causes issues, and no need to truncate
            if (0 == (int) $number) {
                return $number;
            }
            // if negative
            $negative = $number / abs($number);
            // Cast the number to a positive to solve rounding
            $number = abs($number);
            // Calculate precision number for dividing / multiplying
            $precision = pow(10, $precision);
            // Run the math, re-applying the negative value to ensure returns correctly negative / positive
            return floor($number * $precision) / $precision * $negative;
        }

        function erp_everest_review_filter_ajax_load_more() {
            if (isset($_POST['_wpnonce']) && wp_verify_nonce($_POST['_wpnonce'], 'erp-frontend-ajax-nonce')) {
                global $wpdb;
                $filter_value = sanitize_text_field($_POST['filter_value']);
                $last_fetched_id = sanitize_text_field($_POST['last_fetched_id']);
                $current_page_id = sanitize_text_field($_POST['current_page_id']);
                $current_review_id = sanitize_text_field($_POST['current_review_id']);
                $current_review_form_id = sanitize_text_field($_POST['current_review_form_id']);
                $limit_val = sanitize_text_field($_POST['limit_val']);
                $limit_val_per_pagination_option = 'LIMIT ' . $limit_val;
                $ddefault_review_template = $current_review_id;
                $get_data_from_table = $this->pull_review_templates_by_id($ddefault_review_template);
                if (isset($get_data_from_table[0]) && !empty($get_data_from_table[0])) {
                    $general_review_settings = get_post_meta($ddefault_review_template, 'general_review_settings', true);
                    $general_review_settings_parameter = get_post_meta($ddefault_review_template, 'general_review_settings_parameter', true);
                    $admin_review_details = get_post_meta($ddefault_review_template, 'admin_review_details', true);
                    $user_review_details = get_post_meta($ddefault_review_template, 'user_review_details', true);
                    $user_review_form_details = get_post_meta($ddefault_review_template, 'user_review_form_details', true);
                    $table_name = $wpdb->prefix . "everest_user_review_table";
                    if ($filter_value == 'recent') {
                        $user_reviews = $wpdb->get_results("SELECT * FROM $table_name WHERE associated_post_id=" . $current_page_id . " AND id >$last_fetched_id AND post_stat IN ('', 'approved')order by id ASC $limit_val_per_pagination_option", ARRAY_A);
                    } else if ($filter_value == 'older') {
                        $user_reviews = $wpdb->get_results("SELECT * FROM $table_name WHERE associated_post_id=" . $current_page_id . " AND id >$last_fetched_id AND post_stat IN ('', 'approved')order by id DESC $limit_val_per_pagination_option", ARRAY_A);
                    }
                    include('inc/frontend/user-review-template/layout-reviews/' . $general_review_settings['er_review_layout'] . '.php');
                }
            }
            die();
        }

        function erp_count_rows_number_user_review($current_page_id) {
            global $wpdb;
            $table_name = $wpdb->prefix . "everest_user_review_table";
            if (isset($current_page_id) && !empty($current_page_id)) {
                $user_review_count = $wpdb->get_results("SELECT COUNT(*) FROM $table_name WHERE associated_post_id=" . $current_page_id . " AND post_stat IN ('', 'approved')", ARRAY_A);
            } else {
                $user_review_count = $wpdb->get_results("SELECT COUNT(*) FROM $table_name WHERE associated_post_id=" . $current_page_id . " AND post_stat IN ('', 'approved')", ARRAY_A);
            }
            return $user_review_count;
        }

    }

    /* Ends */
    $everest_review_object = new Everest_Review_Lite();
}