<?php defined('ABSPATH') or die('No script kiddies please!'); ?>

<?php
$erp_review_form_settings = get_option('erp_submission_form_setting');
$erp_default_review_form_setting = $erp_review_form_settings['erp_submission_form_fields']; //Default form structure from option table
$erp_review_form_setting = (isset($edit) && isset($reviewer_template_structure)) ? $reviewer_template_structure : $erp_default_review_form_setting; //setting value for if edit
$form_level_array = array(
    'username' => __('Display name', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
    'email' => __('Email', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
    'image' => __('Image', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
    'review_title' => __('Review Title', EVEREST_REVIEW_LITE_TEXT_DOMAIN),
    'review_description' => __('Review Description', EVEREST_REVIEW_LITE_TEXT_DOMAIN), '',
    'rating' => __('Rating', EVEREST_REVIEW_LITE_TEXT_DOMAIN)
);
?>
<div class="erp-review-form-settings-whole-wrapper erp-default-setting-field-wrapper">
    <div class="erp-setting-tab-wrapper">
        <div class="nav-tab-wrapper">
            <a href="javascript:void(0)" id="erp-user-review-form-setting-layout" class="erp-setting-tabs-trigger nav-tab erp-active-tab"><?php _e('Layout', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-review-form-setting-review-parameter" class="erp-setting-tabs-trigger nav-tab"><?php _e('Review Parameter', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-review-form-setting-general" class="erp-setting-tabs-trigger nav-tab"><?php _e('General', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-review-form-setting-form-field-configuration" class="erp-setting-tabs-trigger nav-tab"><?php _e('Review Form fields Configuration', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-review-form-setting-recaptcha" class="erp-setting-tabs-trigger nav-tab"><?php _e('Recaptcha', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
            <a href="javascript:void(0)" id="erp-user-review-form-setting-general-message" class="erp-setting-tabs-trigger nav-tab"><?php _e('General Message', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></a>
        </div>
    </div>
    <div class="erp-setting-tab-content" id="content-erp-user-review-form-setting-layout">
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Template Name', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">
                <input type="text" name="erp_sub_form_title" value="<?php
                if ((isset($edit)) && isset($reviewer_template_name) && !empty($reviewer_template_name)) {
                    echo esc_attr($reviewer_template_name);
                }
                ?>" />
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Review Form Template', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">
                <select name="erp_review_form_setting[erp_review_form_type]" class="erp-template-form-review-select" style="display:none"/>
                <?php
                $inc1 = 1;
                for ($i = 1; $i <= 1; $i++) {
                    ?>
                    <option value="layout-<?php echo $i; ?>" <?php
                    if ((isset($edit)) && (isset($reviewer_template_settings['erp_review_form_type']) && $reviewer_template_settings['erp_review_form_type'] == 'layout-' . $i)) {
                        echo 'selected="selected"';
                    }
                    ?>><?php
                                _e('Layout ', EVEREST_REVIEW_LITE_TEXT_DOMAIN);
                                echo $inc1;
                                ?></option>
                    <?php
                    $inc1++;
                }
                ?>
                </select>
            </div>
            <div class="erp-review-form-template-demo">
                <?php for ($cnt = 1; $cnt <= 1; $cnt++) { ?>
                    <div class="erp-review-form-layout-common" id="erp-form-temp-demo-<?php echo $cnt; ?>" <?php
                    if (isset($reviewer_template_settings['erp_review_form_type']) && $reviewer_template_settings['erp_review_form_type'] == 'layout-' . $cnt) {
                        echo 'style="display:block;"';
                    } else if ($cnt != 1) {
                        echo 'style="display:none;"';
                    } else {
                        echo 'style="display:block;"';
                    }
                    ?>>
                        <img src="<?php echo EVEREST_REVIEW_LITE_IMAGE_DIR  . '/layout-' . $cnt . '.png' ?>" style="vertical-align: bottom"/>
                    </div>
                <?php } ?> 
            </div>
        </div>
    </div>
    <div class="erp-setting-tab-content" id="content-erp-user-review-form-setting-review-parameter" style="display:none;">    
        <div class="erp-input-field-param-wrap" id="erp-hidden-overlay-field">
            <span class="erp-custom-review-live">
                <?php echo __('You can add/edit review paremeters for the user review form from here.', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </span>
            <div class="erp-feature-list-temp-holder" style="display:none"></div>
            <div class="erp-input-field-param">
                <input class="erp-add-feature-button button button-secondary" data-parameter-type="2" type="button" value="<?php _e('Add parameter', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>" />
            </div>
            <div class="erp-sortable-feature-list-field">
                <?php
                $keyArray = array();
                if (!empty($review_form_setting_parameter)) {
                    foreach ($review_form_setting_parameter as $key => $val) {
                        $keyArray[$key] = $key;
                        ?>
                        <div class="erp-template-feature-list">
                            <input type="text" class="erp-feature-list-review-title" name="erp_review_form_setting_parameter[<?php echo esc_attr($key); ?>][er_feature_list]" value="<?php echo esc_attr($val['er_feature_list']); ?>"/>
                            <span class="er_remov_fl_field"><i class="fa fa-trash-o" aria-hidden="true"></i></span>
                            <span class="erp-sortable-feature-field-section"><i class="fa fa-arrows" aria-hidden="true"></i></span>
                        </div>
                        <?php
                    }
                }
                $max_key = !empty($keyArray) ? array_keys($keyArray, max($keyArray)) : array('0' => '0');
                ?>
            </div>
        </div>
        <input type="hidden" name="erp_review_form_setting[erp_count]" value="<?php echo esc_attr($max_key[0]); ?>" class="erp-menu-count"/>
    </div>
    <div class="erp-setting-tab-content" id="content-erp-user-review-form-setting-general" style="display:none;">
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Form Header', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">
                <input type="text" name="erp_review_form_setting[erp_sub_form_title]" value="<?php
                if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_form_title']) && !empty($reviewer_template_settings['erp_sub_form_title'])) {
                    echo esc_attr($reviewer_template_settings['erp_sub_form_title']);
                }
                ?>" />
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label for="erp_review_form_setting[erp_sub_form_description]" class="erp-label-control">
                <?php _e('Form Description', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-inner-review-input">
                <textarea rows="5" cols="65" name="erp_review_form_setting[erp_sub_form_description]"><?php
                    if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_form_description']) && !empty($reviewer_template_settings['erp_sub_form_description'])) {
                        echo esc_attr($reviewer_template_settings['erp_sub_form_description']);
                    }
                    ?></textarea>
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Submit Button Label', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">
                <input type="text" name="erp_review_form_setting[erp_sub_submit_text]" value="<?php
                if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_submit_text']) && !empty($reviewer_template_settings['erp_sub_submit_text'])) {
                    echo esc_attr($reviewer_template_settings['erp_sub_submit_text']);
                }
                ?>" />
            </div>
        </div>    
    </div>

    <div class="erp-setting-tab-content" id="content-erp-user-review-form-setting-form-field-configuration" style="display:none;">    
        <div class="erp-review-setting-content" id="erp-review-template-review-form-field-configuration">
            <span class="erp-custom-review-live">
                <?php _e('Please configure the form fields.', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </span>
            <div class="erp-form-field-configuration">       
                <?php
                $keyArray = array();
                if (!empty($erp_review_form_setting)) {
                    foreach ($erp_review_form_setting as $field_title => $field_array) {
                        $field_title = esc_attr($field_title);
                        if ($field_title != 'image') {
                            ?>
                            <div class="erp-review-setting-inner ui-sortable <?php
                            if ($field_array['show_form'] == 1) {
                                echo 'erp-form-field-display-true';
                            } else {
                                echo 'erp-form-field-display-not';
                            }
                            ?>">
                                <div class="dragicon"></div>
                                <div class="erp-links-something">
                                    <h3><?php echo $form_level_array[$field_title]; ?></h3>
                                    <span class="erp-form-setting-arrow-down erp-arrow-down"></span>
                                </div>
                                <div class="erp-review-secondary-setting" style="display:none">
                                    <?php
                                    switch ($field_title) {
                                        case 'image':
                                            ?>
                                            <!--<div class="erp-review-inner-field erp-input-field-wrap" >
                                                <label for="erp_sub_label_name" class="erp-label-control">< ?php _e('Label', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_label_name" name="erp_review_form_structure[< ?php echo $field_title ?>][label]" value="< ?php echo $field_array['label']; ?>" />
                                                </div>
                                            </div>        
                                            <div class="erp-review-inner-field erp-input-field-wrap" >
                                                <label for="erp_sub_placeholder_name" class="erp-label-control">< ?php _e('Placeholder', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_placeholder_name" name="erp_review_form_structure[< ?php echo $field_title ?>][placeholder]" value="< ?php echo $field_array['placeholder']; ?>" />
                                                </div>
                                            </div>

                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_name_required" class="erp-label-control">< ?php _e('Required Field', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="checkbox" id="erp_sub_name_required" name="erp_review_form_structure[< ?php echo $field_title ?>][required]" value="1" < ?php if ($field_array['required'] == 1) { ?>checked="checked"< ?php } ?> />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_name_show" class="erp-label-control">< ?php _e('Show/Hide', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="checkbox" id="erp_sub_name_show" name="erp_review_form_structure[< ?php echo $field_title ?>][show_form]" value="1" < ?php if ($field_array['show_form'] == 1) { ?>checked="checked"< ?php } ?> />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_error_message" class="erp-label-control">< ?php _e('Required Message', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_error_message" name="erp_review_form_structure[< ?php echo $field_title ?>][error_message]" value="< ?php
                                                    if (!empty($field_array['error_message'])) {
                                                        echo esc_attr($field_array['error_message']);
                                                    }
                                                    ?>"/>
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="number_of_multiple_image_upload" class="erp-label-control">< ?php _e('Multiple Image Upload Size Limit', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="number" id="number_of_multiple_image_upload" name="erp_review_form_structure[< ?php echo $field_title ?>][number_of_multiple_image_upload_limit]" value="< ?php
                                                    if (!empty($field_array['number_of_multiple_image_upload_limit'])) {
                                                        echo $field_array['number_of_multiple_image_upload_limit'];
                                                    }
                                                    ?>"/>< ?php _e('MB', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                                </div>
                                                <p class="erp-description">< ?php _e('Default: Unlimited, -1 for unlimited', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="number_of_multiple_image_upload_limit_number" class="erp-label-control">< ?php _e('Multiple Image Upload Limit Number', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="number" id="number_of_multiple_image_upload_limit_number" name="erp_review_form_structure[< ?php echo $field_title ?>][number_of_multiple_image_upload_limit_number]" value="< ?php
                                                    if (!empty($field_array['number_of_multiple_image_upload_limit_number'])) {
                                                        echo $field_array['number_of_multiple_image_upload_limit_number'];
                                                    }
                                                    ?>"/>
                                                </div>
                                                <p class="erp-description">< ?php _e('Default: Unlimited, -1 for unlimited', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="image_limit_exceed_error_message" class="erp-label-control">< ?php _e('Image Limit Size Exceed Error Message', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_error_limit_message" name="erp_review_form_structure[< ?php echo $field_title ?>][image_limit_exceed_error_message]" value="< ?php
                                                    if (!empty($field_array['image_limit_exceed_error_message'])) {
                                                        echo esc_attr($field_array['image_limit_exceed_error_message']);
                                                    }
                                                    ?>"/>
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="image_limit_number_exceed_error_message" class="erp-label-control">< ?php _e('Image Limit Number Exceed Error Message', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="image_limit_number_exceed_error_message" name="erp_review_form_structure[< ?php echo $field_title ?>][image_limit_number_exceed_error_message]" value="< ?php
                                                    if (!empty($field_array['image_limit_number_exceed_error_message'])) {
                                                        echo esc_attr($field_array['image_limit_number_exceed_error_message']);
                                                    }
                                                    ?>"/>
                                                </div>
                                            </div>
                                            <input type="hidden" name="erp_review_form_order[form_field_order][]" value="< ?php echo $field_title; ?>"/>
                                            -->
                                            <?php
                                            break;
                                        case 'email':
                                            ?><div class="erp-review-inner-field erp-input-field-wrap" >
                                                <label for="erp_sub_label_name" class="erp-label-control"><?php _e('Label', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_label_name" name="erp_review_form_structure[<?php echo $field_title ?>][label]" value="<?php echo $field_array['label']; ?>" />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_placeholder_name" class="erp-label-control"><?php _e('Placeholder', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_placeholder_name" name="erp_review_form_structure[<?php echo $field_title ?>][placeholder]" value="<?php echo $field_array['placeholder']; ?>" />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_name_required" class="erp-label-control"><?php _e('Required Field', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="checkbox" id="erp_sub_name_required" name="erp_review_form_structure[<?php echo $field_title ?>][required]" value="1" <?php if ($field_array['required'] == 1) { ?>checked="checked"<?php } ?> />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_name_show" class="erp-label-control"><?php _e('Show/Hide', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="checkbox" id="erp_sub_name_show" name="erp_review_form_structure[<?php echo $field_title ?>][show_form]" value="1" <?php if ($field_array['show_form'] == 1) { ?>checked="checked"<?php } ?> />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_validation_error_message" class="erp-label-control"><?php _e('Validation Error Message', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_error_message" name="erp_review_form_structure[<?php echo $field_title ?>][error_validation_message]" value="<?php
                                                    if (!empty($field_array['error_validation_message'])) {
                                                        echo esc_attr($field_array['error_validation_message']);
                                                    }
                                                    ?>"/>
                                                </div>
                                            </div>
                                            <input type="hidden" name="erp_review_form_order[form_field_order][]" value="<?php echo $field_title; ?>"/>    
                                            <?php
                                            break;
                                        default:
                                            ?>
                                            <div class="erp-review-inner-field erp-input-field-wrap" >
                                                <label for="erp_sub_label_name" class="erp-label-control"><?php _e('Label', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_label_name" name="erp_review_form_structure[<?php echo $field_title ?>][label]" value="<?php echo $field_array['label']; ?>" />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_placeholder_name" class="erp-label-control"><?php _e('Placeholder', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="text" id="erp_sub_placeholder_name" name="erp_review_form_structure[<?php echo $field_title ?>][placeholder]" value="<?php echo $field_array['placeholder']; ?>" />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_name_required" class="erp-label-control"><?php _e('Required Field', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="checkbox" id="erp_sub_name_required" name="erp_review_form_structure[<?php echo $field_title ?>][required]" value="1" <?php if ($field_array['required'] == 1) { ?>checked="checked"<?php } ?> />
                                                </div>
                                            </div>
                                            <div class="erp-review-inner-field erp-input-field-wrap">
                                                <label for="erp_sub_name_show" class="erp-label-control"><?php _e('Show/Hide', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></label>
                                                <div class="erp-inner-review-input">
                                                    <input type="checkbox" id="erp_sub_name_show" name="erp_review_form_structure[<?php echo $field_title ?>][show_form]" value="1" <?php if ($field_array['show_form'] == 1) { ?>checked="checked"<?php } ?> />
                                                </div>
                                            </div>
                                            <input type="hidden" name="erp_review_form_order[form_field_order][]" value="<?php echo $field_title; ?>"/>             
                                    <?php } ?>
                                </div> 
                            </div>  
                            <?php
                        }
                    }
                }
                ?>         
            </div>  
        </div>
    </div>
    <div class="erp-setting-tab-content" id="content-erp-user-review-form-setting-recaptcha" style="display:none;">
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Label', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">
                <input type="text" name="erp_review_form_setting[erp_sub_revaptcha_label_text]" value="<?php
                if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_revaptcha_label_text']) && !empty($reviewer_template_settings['erp_sub_revaptcha_label_text'])) {
                    echo esc_attr($reviewer_template_settings['erp_sub_revaptcha_label_text']);
                }
                ?>" />
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Required Message', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">
                <input type="text" name="erp_review_form_setting[erp_sub_recaptcha_required_error_text]" value="<?php
                if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_recaptcha_required_error_text']) && !empty($reviewer_template_settings['erp_sub_recaptcha_required_error_text'])) {
                    echo esc_attr($reviewer_template_settings['erp_sub_recaptcha_required_error_text']);
                }
                ?>" />
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Error Message', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">
                <input type="text" name="erp_review_form_setting[erp_sub_recaptcha_error_text]" value="<?php
                if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_recaptcha_error_text']) && !empty($reviewer_template_settings['erp_sub_recaptcha_error_text'])) {
                    echo esc_attr($reviewer_template_settings['erp_sub_recaptcha_error_text']);
                }
                ?>" />
            </div>
        </div>
    </div>
    <div class="erp-setting-tab-content" id="content-erp-user-review-form-setting-general-message" style="display:none;">
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('General Required Field', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">          
                <input type="text" name="erp_review_form_setting[erp_error_field_text]" value="<?php
                if ((isset($edit)) && isset($reviewer_template_settings['erp_error_field_text']) && !empty($reviewer_template_settings['erp_error_field_text'])) {
                    echo esc_attr($reviewer_template_settings['erp_error_field_text']);
                }
                ?>" />
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Login Required to Review', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">          
                <input type="text" name="erp_review_form_setting[erp_sub_login_required]" value="<?php
                if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_login_required']) && !empty($reviewer_template_settings['erp_sub_login_required'])) {
                    echo esc_attr($reviewer_template_settings['erp_sub_login_required']);
                }
                ?>" />
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Submission Success', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">                   
                <textarea rows="5" cols="65" name="erp_review_form_setting[erp_sub_success_message]" ><?php
                    if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_failure_message']) && !empty($reviewer_template_settings['erp_sub_failure_message'])) {
                        echo esc_attr($reviewer_template_settings['erp_sub_failure_message']);
                    }
                    ?></textarea>
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Submission Failure', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">                 
                <textarea name="erp_review_form_setting[erp_sub_failure_message]" ><?php
                    if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_failure_message']) && !empty($reviewer_template_settings['erp_sub_failure_message'])) {
                        echo esc_attr($reviewer_template_settings['erp_sub_failure_message']);
                    }
                    ?></textarea>
            </div>
        </div>
    </div>
    <div class="erp-setting-tab-content" id="content-erp-user-review-form-setting-email" style="display:none;">
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Admin Alert', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">                  
                <label for="erp_enable_admin_alert">
                    <input type="checkbox" id="erp_enable_admin_alert" name="erp_review_form_setting[erp_enable_admin_alert]" value="1" <?php
                    if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_form_title']) && $reviewer_template_settings['erp_sub_form_description'] == '1') {
                        echo 'checked="checked"';
                    }
                    ?> /><?php _e('Enable/Disable ', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                </label>
            </div>
            <p class="erp-description"><?php _e('Enable/Disable admin alert on review submbission', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Email Message', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">                
                <?php
                $site_name = esc_attr(get_option('blogname'));
                ?>
                <textarea rows="8" cols="70" name="erp_review_form_admin_alert_email_structure[erp_sub_email_message]">
                    <?php
                    if (isset($erp_review_form_admin_alert_email_structure['erp_sub_email_message']) && !empty($erp_review_form_admin_alert_email_structure['erp_sub_email_message'])) {
                        echo html_entity_decode($erp_review_form_admin_alert_email_structure['erp_sub_email_message']);
                    } else {
                        ?>
                        <?php
                        echo __('
Hi there,

Someone just submitted form via Everest Review plugin under title #review_title at #site_name.

Please visit site to view additional details.

Thank you', EVEREST_REVIEW_LITE_TEXT_DOMAIN);
                    }
                    ?>
                </textarea>
                <p class="description"><?php _e('You can use (#name - username, #email - email address, #sitename - Your site name & #reviewtitle - Title of the review form) to replace with user form value', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Admin Alert Email Type', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">                     
                <select id="erp_sub_email_address_type" name="erp_review_form_setting[erp_sub_email_address_type]">
                    <option value="default" <?php
                    if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_email_address_type']) && $reviewer_template_settings['erp_sub_email_address'] == 'default') {
                        echo 'selected="selected"';
                    }
                    ?>><?php _e('Use Default', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                    <option value="custom" <?php
                    if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_email_address_type']) && $reviewer_template_settings['erp_sub_email_address'] == 'custom') {
                        echo 'selected="selected"';
                    }
                    ?>><?php _e('Use Custom', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                </select>
            </div>
        </div>
        <div class="erp-input-field-wrap" id="erp-background-field">
            <label>
                <?php _e('Custom Admin Email Address', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
            </label>
            <div class="erp-input-field">                 
                <input type="text" name="erp_review_form_setting[erp_sub_email_address]" value="<?php
                if ((isset($edit)) && isset($reviewer_template_settings['erp_sub_email_address']) && !empty($reviewer_template_settings['erp_sub_email_address'])) {
                    echo esc_attr($reviewer_template_settings['erp_sub_email_address']);
                }
                ?>"/>
                <p class="erp-description"><?php _e('This default/custom email address will be used to send alert email to admin.', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
            </div>
        </div>
        <input type="hidden"value="<?php
        if ((isset($edit)) && isset($reviewer_template_settings['erp_random_template_form_number']) && !empty($reviewer_template_settings['erp_random_template_form_number'])) {
            echo esc_attr($reviewer_template_settings['erp_random_template_form_number']);
        } else {
            echo $this->erp_get_random_token(10);
        }
        ?>" name="erp_review_form_setting[erp_random_template_form_number]"/>
    </div>
</div>
