<?php defined('ABSPATH') or die('No script kiddies please!'); ?>
<div class="erp-wrapper er-clear">
    <?php include(EVEREST_REVIEW_LITE_FILE_ROOT_DIR . 'inc/backend/includes/header.php'); ?> 
    <?php
    $options = get_option(ER_SETTINGS);
    $review_templates = $this->pull_review_templates();
    $review_form_template_logs = $this->erp_pull_all_review_form_table();
    $default_sort = get_option('review_section_sort');
    if (isset($options['review_section_sort']) && !empty($options['review_section_sort'])) {
        $sorted_review_Section = $options['review_section_sort'];
    } else {
        $sorted_review_Section = $default_sort;
    }
    ?>
    <div class="erp-inner-wrapper" id="poststuff">
        <div id="post-body" class="metabox-holder columns-2">
            <div id="post-body-content">
                <div class="postbox">
                    <div class="erp-basic-setting-option-wrapper clearfix" id="col-container">
                        <div class="inside" id="erp-basic-setting-setting-wrapper">
                            <div class="erp-header-title er-basic-setting-option-header-title">
                                <h3><?php _e('General Settings', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></h3>
                            </div>
                        </div>
                        <?php if (isset($_GET['message']) && $_GET['message'] == 1) { ?>
                            <div class="erp-message notice notice-success is-dismissible">
                                <p>
                                    <?php
                                    echo __('Setting Successfully Saved', EVEREST_REVIEW_LITE_TEXT_DOMAIN);
                                    ?>
                                </p>
                            </div>
                        <?php } ?>
                        <form action="<?php echo admin_url() . 'admin-post.php' ?>" method='post' id="erp-basic-setting-option-form">     
                            <input type="hidden" name="action" value="er_save_review_setting_options" />
                            <div class="erp-basic-setting-out-wrapper">
                                <div class="erp-basic-setting-inner-wrap">
                                    <div class="erp-basic-setting-field erp-input-field-wrap">
                                        <div class="erp-basic-setting-field" id="erp-background-field">
                                            <label>
                                                <?php _e('Enable/Disable Review', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <label class="erp-checkbox" for="enable_disable_review">
                                                    <input type="checkbox" id="enable_disable_review" name="enable_disable_review" <?php if (isset($options['enable_disable_review']) && $options['enable_disable_review'] == 'on') { ?>checked="checked"<?php } ?>/>
                                                    <?php _e('Enable/Disable', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                                    <div class="erp-slider round"></div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class="erp-basic-setting-field" id="erp-background-field">
                                            <label>
                                                <?php _e('Enable Review For', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <ul class="erp-cpage-specific-display"> 
                                                    <li>
                                                        <label>
                                                            <input type="radio" id="erp-page-display-checkbox-page-posts" class="erp-display-add-check" name="implement_review_on" id="erp-add-check-page" value="all-pages-posts" <?php if ((isset($options['implement_review_on']) && $options['implement_review_on'] == 'all-pages-posts') || !isset($options['implement_review_on'])) { ?>checked="checked"<?php } ?>/>
                                                            <span class="pages"><?php echo __('All pages and Posts', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></span>
                                                        </label>
                                                    </li>
                                                    <li>
                                                        <label>
                                                            <input type="radio" id="erp-page-display-checkbox-pages" class="erp-display-add-check" name="implement_review_on" id="erp-add-check-page" value="all-pages" <?php if (isset($options['implement_review_on']) && $options['implement_review_on'] == 'all-pages') { ?>checked="checked"<?php } ?>/>
                                                            <span class="pages"><?php echo __('All Pages', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></span>
                                                        </label>
                                                    </li>
                                                    <li>
                                                        <label>
                                                            <input type="radio" id="erp-page-display-checkbox-posts" class="erp-display-add-check" name="implement_review_on" id="erp-add-check-page" value="all-posts" <?php if (isset($options['implement_review_on']) && $options['implement_review_on'] == 'all-posts') { ?>checked="checked"<?php } ?>/>
                                                            <span class="pages"><?php echo __('All Posts', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></span>
                                                        </label>
                                                    </li>
                                                </ul>               
                                            </div>
                                        </div>
                                    </div>
                                    <div class="erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class="erp-basic-setting-field" id="erp-background-field">
                                            <label>
                                                <?php _e('Default Review Template', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <select name="er_review_default_template" class="erp-display-menu-optionss" >
                                                    <option value="disabled" <?php if (isset($options['er_review_default_template']) && $options['er_review_default_template'] == 'disabled') { ?>selected="selected"<?php } ?>><?php echo _e('Disabled', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                                                    <?php
                                                    if (!empty($review_templates)) {
                                                        foreach ($review_templates as $review_template_key => $review_template_val) {
                                                            ?>
                                                            <option value="<?php echo intval(esc_attr($review_template_val['ID'])); ?>" <?php if (isset($options['er_review_default_template']) && $options['er_review_default_template'] == $review_template_val['ID']) { ?>selected="selected"<?php } ?>><?php echo esc_attr($review_template_val['post_title']); ?></option>
                                                            <?php
                                                        }
                                                    } else {
                                                        echo __("No template created yet", EVEREST_REVIEW_LITE_TEXT_DOMAIN);
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class = "erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class = "erp-basic-setting-field">
                                            <label class = "erp-menu-option-label-controller">
                                                <?php _e('Default Review Form', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <select name="er_review_default_form" class="erp-display-menu-optionss" >
                                                    <option value="disabled" <?php if (isset($options['er_review_default_form']) && $options['er_review_default_form'] == 'disabled') { ?>selected="selected"<?php } ?>><?php echo _e('Disabled', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></option>
                                                    <?php
                                                    if (!empty($review_form_template_logs)) {
                                                        foreach ($review_form_template_logs as $log) {
                                                            ?>
                                                            <option value="<?php echo $log['id']; ?>" <?php if (isset($options['er_review_default_form']) && $options['er_review_default_form'] == $log['id']) { ?>selected="selected"<?php } ?>><?php echo $log['review_template_name']; ?></option>
                                                            <?php
                                                        }
                                                    }
                                                    ?>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class = "erp-basic-setting-field">
                                            <label class = "erp-menu-option-label-controller">
                                                <?php _e('Display Review Position', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <select name="er_review_position" class="erp-display-menu-optionss" >
                                                    <option value="content-bottom" <?php if (isset($options['er_review_position']) && $options['er_review_position'] == 'content-bottom') { ?>selected="selected"<?php } ?>>
                                                        <?php echo _e('Below Content', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                                    </option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class = "erp-basic-setting-field">
                                            <label class = "erp-menu-option-label-controller">
                                                <?php _e('Review Section', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <ul class="erp-review-section-elements"> 
                                                    <?php
                                                    if (isset($sorted_review_Section)) {
                                                        foreach ($sorted_review_Section as $key => $val) {
                                                            switch ($val) {
                                                                case 'admin_review_section':
                                                                    ?>
                                                                    <li class="ui-sortable ui-sortable-handle">
                                                                        <input type="checkbox" id="erp-review-section-checkbox" class="erp-display-add-check" value="admin-review" name="review_section_show_hide_admin_sec" id="erp-add-check-page" <?php if (isset($options['review_section_show_hide_admin_sec']) && $options['review_section_show_hide_admin_sec'] == 'admin-review') { ?>checked="checked"<?php } ?>/>
                                                                        <span class="admin-review"><?php echo __('Admin Review', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></span>
                                                                        <span class="erp-sortable-review-section" style="text-align:right;"><i class="fa fa-arrows" aria-hidden="true"></i></span>
                                                                        <input type="hidden" name="review_section_sort[]" value="admin_review_section"/>
                                                                    </li>
                                                                    <?php
                                                                    break;
                                                                case 'user_review_section':
                                                                    ?>
                                                                    <li class="ui-sortable ui-sortable-handle">
                                                                        <input type="checkbox" id="erp-review-section-checkbox" class="erp-display-add-check" value="user-review" name="review_section_show_hide_user_sec" id="erp-add-check-page" <?php if (isset($options['review_section_show_hide_user_sec']) && $options['review_section_show_hide_user_sec'] == 'user-review') { ?>checked="checked"<?php } ?>/>
                                                                        <span class="user-review"><?php echo __('User Review', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></span>
                                                                        <span class="erp-sortable-review-section" style="text-align:right;"><i class="fa fa-arrows" aria-hidden="true"></i></span>
                                                                        <input type="hidden" name="review_section_sort[]" value="user_review_section"/>
                                                                    </li>
                                                                    <?php
                                                                    break;
                                                                case 'review_form_section':
                                                                    ?>
                                                                    <li class="ui-sortable ui-sortable-handle">
                                                                        <input type="checkbox" id="erp-review-section-checkbox" class="erp-display-add-check" value="review-form" name="review_section_show_hide_review_form" id="erp-add-check-page" <?php if (isset($options['review_section_show_hide_review_form']) && $options['review_section_show_hide_review_form'] == 'review-form') { ?>checked="checked"<?php } ?>/>
                                                                        <span class="review-form"><?php echo __('Review Form', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></span>
                                                                        <span class="erp-sortable-review-section" style="text-align:right;"><i class="fa fa-arrows" aria-hidden="true"></i></span>
                                                                        <input type="hidden" name="review_section_sort[]" value="review_form_section"/>
                                                                    </li>
                                                                    <?php
                                                                    break;
                                                                default:
                                                                    break;
                                                            }
                                                        }
                                                    }
                                                    ?>
                                                </ul>
                                                <p class="erp-description"><?php echo __('Sort the order how you want to display the reviews section. Tick/Untick checkbox to display the specific section.', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class = "erp-basic-setting-field">
                                            <label class = "erp-menu-option-label-controller">
                                                <?php _e('Enable/Disable Google Recaptcha', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <label class="erp-checkbox" for="erp_enable_disable_google_recaptcha">
                                                    <input type="checkbox" id="erp_enable_disable_google_recaptcha" name="erp_enable_disable_google_recaptcha" <?php if (isset($options['erp_enable_disable_google_recaptcha']) && $options['erp_enable_disable_google_recaptcha'] == 'on') { ?>checked="checked"<?php } ?>>
                                                    <?php echo _e('Enable/Disable', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                                    <div class="erp-slider round"></div>
                                                </label>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class = "erp-basic-setting-field">
                                            <label class = "erp-menu-option-label-controller">
                                                <?php _e('Google Recaptcha API Key', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <input type="text" name="erp_recaptcha_api_key" value="<?php
                                                if (isset($options['erp_recaptcha_api_key']) && !empty($options['erp_recaptcha_api_key'])) {
                                                    echo esc_attr($options['erp_recaptcha_api_key']);
                                                }
                                                ?>"/>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class = "erp-basic-setting-field">
                                            <label class = "erp-menu-option-label-controller">
                                                <?php _e('Google Recaptcha API Secret Key', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                                            </label>
                                            <div class="erp-input-field">
                                                <input type="text" name="erp_recaptcha_secret_api_key" value="<?php
                                                if (isset($options['erp_recaptcha_secret_api_key']) && !empty($options['erp_recaptcha_secret_api_key'])) {
                                                    echo esc_attr($options['erp_recaptcha_secret_api_key']);
                                                }
                                                ?>"/>
                                            </div>
                                        </div>
                                    </div>
                                    <?php wp_nonce_field('er_nonce_save_review_settings', 'er_add_nonce_save_review_settings'); ?>
                                    <div class="erp-basic-setting-inner-wrap erp-input-field-wrap">
                                        <div class = "erp-basic-setting-field">
                                            <input type="submit" class="button-primary" name='er_save_reveiw_settings' value="<?php _e('Save', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>" />
                                        </div>
                                    </div>
                                    </form>  
                                </div>
                            </div>
                    </div>
                </div>
            </div>
            <div id="postbox-container-1" class="postbox-container">
                <?php include(EVEREST_REVIEW_LITE_FILE_ROOT_DIR . 'inc/backend/includes/sidebar.php'); ?>
            </div>
        </div>
    </div>
</div>