<?php
defined('ABSPATH') or die("No script kiddies please!");
$er_id = $_GET['erpid'];
$user_reviews = $this->pull_user_review_templates_by_id($er_id);
?>
<form action="<?php echo admin_url() . 'admin-post.php' ?>" method='post' class="erp-user-edit-approve-section" id="er_form" novalidate>    
    <div class="erp-user-review-setting-content" id="erp-user-review-template-review-form-field-configuration">
        <h3><?php _e('User Rating Review', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></h3>
        <p><?php _e('You can review user rating from here.', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?></p>
        <?php
        foreach ($user_reviews as $key => $val) {
            $parent_form_id = $val->parent_form_id;
            $parent_review_type_id = $val->review_type;
            $get_data_from_table = $this->pull_review_templates_by_id($parent_review_type_id);
            if (isset($get_data_from_table) && !empty($get_data_from_table)) {
                $general_review_settings = get_post_meta($parent_review_type_id, 'general_review_settings', true);
                $erp_review_type = $general_review_settings['erp_review_rating_style'];
                ?>
                <div class="erp-user-form-field-configuration">       
                    <div class="erp-input-field-wrap" id="erp-username-field">
                        <label>
                            <?php echo __('Username', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                        </label>
                        <div class="erp-input-field">
                            <input type="text" name="erp_user_review_edit_username" value="<?php echo esc_attr($val->review_user_name); ?>"/>
                        </div>
                    </div>
                    <div class="erp-input-field-wrap" id="erp-email-field">
                        <label>
                            <?php echo __('Email', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                        </label>
                        <div class="erp-input-field">
                            <input type="text" name="erp_user_review_edit_email" value="<?php echo esc_attr($val->user_review_email); ?>"/>
                        </div>
                    </div>
                    <div class="erp-input-field-wrap" id="erp-review-title-field">
                        <label>
                            <?php echo __('Review Title', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                        </label>
                        <div class="erp-input-field">
                            <input type="text" name="erp_user_review_edit_review_title" value="<?php echo esc_attr($val->user_review_title); ?>"/>
                        </div>
                    </div>
                    <div class="erp-input-field-wrap" id="erp-review-description-field">
                        <label>
                            <?php echo __('Review Description', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                        </label>
                        <div class="erp-input-field">
                            <?php wp_editor(html_entity_decode($val->user_review_description), 'textarea', $settings = array('textarea_name' => 'erp_user_review_edit_review_description', 'class' => 'required', 'media_buttons' => false)); ?> 
                        </div>
                    </div>
                    <div class="erp-user-review-setting-inner">
                        <div class="erp-input-field-wrap" id="erp-review-values-field">
                            <label>
                                <?php echo __('Review Values', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                            </label>
                            <div class="erp-input-field">
                                <?php
                                $review_array = array();
                                $review_value = json_decode($val->user_review_value);
                                if (!empty($review_value)) {
                                    foreach ($review_value as $user_rev_key => $user_rev_val) {
                                        $review_array[$user_rev_key] = $user_rev_val;
                                        ?>
                                        <div class="menu-option-inner-input <?php
                                        if (isset($general_review_settings['erp_review_rating_style']) && $general_review_settings['erp_review_rating_style'] == 'star') {
                                            echo 'erp-star-admin-rating';
                                        } else {
                                            echo 'erp-slider-admin-rating';
                                        }
                                        ?>">
                                            <label class="erp-feature-list-review-title"><?php echo esc_attr($user_rev_key); ?></label>
                                            <input type="number" class="erp-feature-list-val" readonly="readonly" name="admin_pw_review_parameter[<?php echo $user_rev_key; ?>][pw_rating_parameters]" 
                                                   step="<?php echo esc_attr($general_review_settings['erp_review_range_increment_type']); ?>" value="<?php echo esc_attr($user_rev_val); ?>" />
                                                   <?php
                                                   if (isset($general_review_settings['erp_review_rating_style']) && $general_review_settings['erp_review_rating_style'] == 'star') {
                                                       ?><div class="erp-star-rating-input" 
                                                     data-min-val="<?php echo (isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min'])) ? esc_attr($general_review_settings['erp_review_range_min']) : '1'; ?>" 
                                                     data-max-val="<?php echo (isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max'])) ? esc_attr($general_review_settings['erp_review_range_max']) : '10'; ?>"
                                                     data-increment-type="<?php echo isset($general_review_settings['erp_review_range_increment_type']) && !empty($general_review_settings['erp_review_range_increment_type']) ? esc_attr($general_review_settings['erp_review_range_increment_type']) : '0.1'; ?>"
                                                     data-star-rated-fill="<?php echo isset($general_review_settings['erp_review_star_fill_color']) && !empty($general_review_settings['erp_review_star_fill_color']) ? esc_attr($general_review_settings['erp_review_star_fill_color']) : '#F39C12'; ?>" 
                                                     data-star-number="5" 
                                                     data-star-width="28" 
                                                     data-star-spacing="2" 
                                                     data-star-multicolor-enable="off"
                                                     ></div>
                                                     <?php
                                                 } else if (isset($general_review_settings['erp_review_rating_style']) && $general_review_settings['erp_review_rating_style'] == 'slider') {
                                                     ?><div class="erp-slider-input" 
                                                     data-min-val="<?php echo isset($general_review_settings['erp_review_range_min']) && !empty($general_review_settings['erp_review_range_min']) ? $general_review_settings['erp_review_range_min'] : '1'; ?>" 
                                                     data-max-val="<?php echo isset($general_review_settings['erp_review_range_max']) && !empty($general_review_settings['erp_review_range_max']) ? $general_review_settings['erp_review_range_max'] : '10'; ?>"
                                                     data-increment-type="<?php echo esc_attr($general_review_settings['erp_review_range_increment_type']); ?>"
                                                     data-slider-type="<?php echo esc_attr($general_review_settings['erp_review_slider_type']); ?>"
                                                     ></div>
                                                     <?php
                                                 }
                                                 ?>
                                            <input type="hidden" class="erp-feature-list-label" name="admin_pw_review_parameter[<?php echo $user_rev_key; ?>][er_feature_list]" value="<?php echo (isset($user_rev_key)) ? esc_attr($user_rev_key) : esc_attr($user_rev_key); ?>"/>
                                        </div>
                                        <?php
                                    }
                                }
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="erp-user-review-setting-inner-date">
                        <div class="erp-input-field-wrap erp-review-date-field" id="erp-review-date-field">
                            <label>
                                <?php echo __('Select Publish Date', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>
                            </label>
                            <div class="erp-input-field">
                                <i class="fa fa-calendar" aria-hidden="true"></i>
                                <input type="text" name="erp_review_custom_date" id="erp-review-custom-date" class="erp-review-datepicker" value="<?php echo $val->date; ?>"/>                                       
                            </div>
                        </div>
                    </div>
                </div>
                <?php
            }
        }
        ?>
    </div>
    <input type="hidden" name="erp_current_saved_date" value="<?php echo esc_attr($val->date); ?>"/>
    <input type="hidden" name="action" value="erp_save_user_form_edit_approve_template_options" />
    <input type="hidden" name="erp_current_user_id" value="<?php echo esc_attr($er_id); ?>"/>
    <?php wp_nonce_field('erp_save_user_review_form_template_save_settings', 'erp_add_nonce_user_Review_form_template_save_settings'); ?>
    <input type="hidden" value="<?php echo isset($erp_user_review_submitted_id) && !empty($erp_user_review_submitted_id) ? $erp_user_review_submitted_id : ''; ?>" name="er_id"/>
    <div class="erp-submit-wrap">
        <ul class="erp-submit-ind-sec">
            <li>
                <span class="erp-action-button-icon"></span>
                <input class="button-primary erp-save-button" type="submit" name="erp_user_Review_sform_template_save_settings" value="<?php _e('Save/Approve', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>" />
            </li>
            <li>
                <span class="erp-action-button-icon erp-to-back-icon"></span>
                <a href="<?php echo admin_url('edit.php?post_type=everestreview&page=everest-review-submitted-reviews'); ?>">
                    <input class="button-primary" type="button" value="<?php _e('Cancel Edit', EVEREST_REVIEW_LITE_TEXT_DOMAIN); ?>" />
                </a>
            </li>
        </ul>
    </div>
</form>


