<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       ivi_mollie
 * @since      1.0.0
 *
 * @package    Ivi_mollie
 * @subpackage Ivi_mollie/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Ivi_mollie
 * @subpackage Ivi_mollie/includes
 * @author     Ivascu Madalin <madalinivascu@gmail.com>
 */
class Ivi_mollie_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'ivi_mollie',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
