<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              ivi_mollie
 * @since             1.0.0
 * @package           Ivi_mollie
 *
 * @wordpress-plugin
 * Plugin Name:       Mollie Recurring Subscription
 * Plugin URI:        ivi_mollie
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           1.0.0
 * Author:            Ivascu Madalin
 * Author URI:        ivi_mollie
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       ivi_mollie
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

define( 'PLUGIN_NAME_VERSION', '1.0.0' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-ivi_mollie-activator.php
 */
function activate_ivi_mollie() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-ivi_mollie-activator.php';
	Ivi_mollie_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-ivi_mollie-deactivator.php
 */
function deactivate_ivi_mollie() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-ivi_mollie-deactivator.php';
	Ivi_mollie_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_ivi_mollie' );
register_deactivation_hook( __FILE__, 'deactivate_ivi_mollie' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-ivi_mollie.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_ivi_mollie() {

	$plugin = new Ivi_mollie();
	$plugin->run();

}
run_ivi_mollie();
