<?php
/*
WP Post Template: Single box
*/
if ( ! defined( 'ABSPATH' ) ) { exit; }

global $dfd_native;

get_header();
get_template_part('inc/loop/components/layout');

?>
<section id="layout" class="single-box">
	<div class="row boxed">
		<div id="head" class="">
			<div class="box-img">
				<?php if (has_post_thumbnail( $post->ID ) ): ?>
					<?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
						<img src="<?php echo $image[0]; ?>" />
				<?php endif; ?>
			</div>
			<div class="box-info">
				<h2><?php the_title();?></h2>
				<div class="date-available">
					<span class="title">Available on </span>
					<span class="value"><?php the_field('available_date');?></span>
				</div>
				<div class="description">
					<?php the_field('box_description');?>
				</div>
			</div>
		</div>

		<div id="wines">
			<h4>This box contains</h4>
			<?php 
			$posts = get_field('wines_in_the_box');
			if( $posts ): ?>
			    <ul>
			    <?php foreach( $posts as $post): ?>
			        <?php setup_postdata($post); ?>
			        <li>
			        	<?php get_template_part('templates/wines/wine-simple');?>
			        </li>
			    <?php endforeach; ?>
			    </ul>
			    <?php wp_reset_postdata();?>
			<?php endif; ?>
		</div>

		

		

		<div id="bottom">

		</div>
	</div>
</div>
<?php
get_footer();?>