<div id="head" class="">
	<div class="cover-img fullwidth">
		<?php if( get_field('winery_pic') ) : ?>
			<img src="<?php echo the_field('winery_pic');?>" title="" alt="">
		<?php endif; ?>
	</div>
</div>
<div id="story" class="left-side">
	<div class="wine-profile">
		<div class="profile-pic">
			<?php if( get_field('wine_pic') ) : ?>
				<img src="<?php echo the_field('wine_pic');?>" title="" alt="">
			<?php endif; ?>
		</div>
		<div class="nodesk score">
			<span class="title">Druyf Score</span>
			<span class="value"><?php the_field('druyf_score');?></span>
		</div>
	</div>
	<div class="content">
		<div class="video">
			<h4>Winery Video</h4>
			<?php 
			$video = get_field('wine_video');
			if( $video ) {
				echo $video['iframe'];
			}
			?>
		</div>
		<div class="specifics">
			<h4>Details</h4>
			<div class="specific">
				<span class="title">Country:</span>
				<span class="value"><?php the_field('country');?></span>
			</div>
			<div class="specific">
				<span class="title">Region:</span>
				<span class="value"><?php the_field('region');?></span>
			</div>
			<div class="specific">
				<span class="title">Vintage:</span>
				<span class="value"><?php the_field('vintage');?></span>
			</div>
			<div class="specific">
				<span class="title">Grape:</span>
				<span class="value"><?php the_field('grape');?></span>
			</div>
			<div class="specific">
				<span class="title">Wine type:</span>
				<span class="value"><?php the_field('wine_type');?></span>
			</div>
		</div>
		<div class="taste-profile">
			<h4>Tasting Profile</h4>
			<ul class="specs">
				<li>
					<?php $sweetness = get_field('sweetness');?>
					<span class="title">Sweetness:</span>
					<progress max="100" value="<?php echo $sweetness;?>" class="sweetness">
						<div class="progress-bar">
							<span style="width:<?php echo $sweetness;?>%"><?php echo $sweetness;?>%</span>
						</div>
					</progress>
				</li>
				<li>
					<?php $acidity = get_field('acidity')?>
					<span class="title">Acidity:</span>
					<progress max="100" value="<?php echo $acidity;?>" class="acidity">
						<div class="progress-bar">
							<span style="width:<?php echo $acidity;?>%"><?php echo $acidity;?>%</span>
						</div>
					</progress>
				</li>
				<li>
					<?php $tannin = get_field('tannin');?>
					<span class="title">Tannin:</span>
					<progress max="100" value="<?php echo $tannin;?>" class="tannin">
						<div class="progress-bar">
							<span style="width:<?php echo $tannin;?>%"><?php echo $tannin;?>%</span>
						</div>
					</progress>
				</li>
				<li>
					<?php $alcohol = get_field('alcohol');?>
					<span class="title">Alcohol:</span>
					<progress max="100" value="<?php echo $alcohol;?>" class="alcohol">
						<div class="progress-bar">
							<span style="width:<?php echo $alcohol;?>%"><?php echo $alcohol;?>%</span>
						</div>
					</progress>
				</li>
				<li>
					<?php $body = get_field('body');?>
					<span class="title">Body:</span>
					<progress max="100" value="<?php echo $body;?>" class="winebody">
						<div class="progress-bar">
							<span style="width:<?php echo $body;?>%"><?php echo $body;?>%</span>
						</div>
					</progress>
				</li>
			</ul>							
		</div>
	</div>
</div>
<div id="content" class="right-side">
	<div class="wine-specs">
		<div class="wine-details">
			<h2><?php the_title();?></h2>
			<h4><?php the_field('winery_name');?></h4>
			<div class="nomob score">
				<span class="title">Druyf Score</span>
				<span class="value">91</span>
				<div class="sidevalue">
					<sup>/100</sup>
					<span class="no-reviews">16 reviews</span>
				</div>
			</div>
			<div class="wine-buy">
				<span class="price">
					<span class="title">Price:</span>
					<span class="value"><?php the_field('selling_price');?> €</span>
				</span>
				<div class="wine-cart">
					<span class="addtocart">Request delivery</span>
				</div>
			</div>
		</div>
		
		<div class="wine-story">
			<span><?php the_field('druyf_review');?></span>
			<h6>TASTING PROFILE FROM DRUYF</h6>
			<span class="promo-review">
				<a href="#reviews">
					16 reviews
				</a>
			</span>
		</div>
	</div>
	<div class="middle">
		<div class="farmer">
			<h4>Farmer Details</h4>
			<?php if( have_rows('farmer_details') ): 
				while( have_rows('farmer_details') ): the_row(); ?>
					<span>Farmer name: <?php the_sub_field('farmer_name');?></span><br/>
					<span>Quote: <?php the_sub_field('farmer_quote');?></span><br/>
					<span>Fun Facts: <?php the_sub_field('fun_facts');?></span>
				<?php endwhile;?>
			<?php endif;?>
			<?php the_field('about_farmer');?>
		</div>
		<div class="funfacts">
			<h4>Pairing Details</h4>
			<?php if( have_rows('pairing_details') ): 
				while( have_rows('pairing_details') ): the_row(); ?>
					<span>Alcohol: <?php the_sub_field('wine_alcohol');?>°</span><br/>
					<span>Temperature: <?php the_sub_field('wine_temperature');?>°</span><br/>
					<span>Food pairing:
						<?php 
						$pares = get_sub_field('food_pairing');
						if( $pares ): ?>
							<ul>
								<?php foreach( $pares as $pare ): ?>
									<li><?php echo $pare; ?></li>
								<?php endforeach; ?>
							</ul>
						<?php endif; ?>
					</span>
				<?php endwhile;?>
			<?php endif;?>
		</div>
		
		<div id="reviews">
			This is a test review
		</div>
	</div>
</div>
<div id="bottom">

</div>